!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-14 17:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_144) = -sqrt(2d0)*cima*ye/2d0
      coupl(nGC_613) = -2d0*coupl(nGC_12)
      coupl(nGC_MZp) = cMZp**2d0*cima
      coupl(nGC_619) = -coupl(nGC_158)
      coupl(nGC_62) = sqrt(2d0)*CWqL2x1*cima*ee*kWL/(2d0*sw)
      coupl(nGC_60) = sqrt(2d0)*CWqL1x2*cima*ee*kWL/(2d0*sw)
      coupl(nGC_115) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_114) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_110) = cima*ee*sw/(3d0*cw)
      coupl(nGC_113) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
      coupl(nGC_112) = cima*ee*sw/cw
      coupl(nGC_803) = -coupl(nGC_4)
      coupl(nGC_377) = -coupl(nGC_116)
      coupl(nGC_19549) = -coupl(nGC_44)
      coupl(nGC_1663) = -coupl(nGC_113)
      coupl(nGC_2623) = -coupl(nGC_40)
      coupl(nGC_5165) = 2d0*coupl(nGC_12)
      coupl(nGC_877) = -coupl(nGC_130)
      coupl(nGC_603) = -coupl(nGC_12)
      coupl(nGC_305) = -coupl(nGC_149)
      coupl(nGC_413) = -coupl(nGC_49)/2d0
      coupl(nGC_949) = -coupl(nGC_39)
      coupl(nGC_291) = -coupl(nGC_133)
      coupl(nGC_3529) = -2d0*coupl(nGC_36)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
