!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-14 17:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_9656) = coupl(nGC_9655)*dsw_
      coupl(nGC_9653) = coupl(nGC_9652)*dyt_QED1
      coupl(nGC_9658) = coupl(nGC_9657)*dsw_
      coupl(nGC_9573) = coupl(nGC_9571)*dydo_QED1_QCD2
      coupl(nGC_9572) = coupl(nGC_9571)*dydo_QED1
      coupl(nGC_9576) = coupl(nGC_9574)*dydo_QED1_QCD2
      coupl(nGC_9688) = coupl(nGC_9687)*dcw_
      coupl(nGC_9933) = -cima*dMD_QCD2
      coupl(nGC_9754) = coupl(nGC_9753)*dsw_
      coupl(nGC_9612) = coupl(nGC_9610)*dyb_QED1_QCD2
      coupl(nGC_9614) = coupl(nGC_9613)*dyb_QED1
      coupl(nGC_9615) = coupl(nGC_9613)*dyb_QED1_QCD2
      coupl(nGC_12333) = coupl(nGC_26)*(dZdR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_12330) = coupl(nGC_17)*(dZdL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_13531) = coupl(nGC_23)*(dZcL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_9609) = -cima*dyb_QED1_QCD2
      coupl(nGC_12428) = coupl(nGC_85)*(dZbR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_12750) = coupl(nGC_155)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_12200) = coupl(nGC_92)*dZuL_QCD2
      coupl(nGC_13445) = coupl(nGC_24)*(dZtL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12721) = coupl(nGC_158)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_9716) = coupl(nGC_9715)*dsw_
      coupl(nGC_9718) = coupl(nGC_9717)*dsw_
      coupl(nGC_9810) = coupl(nGC_9808)*dcw_ + coupl(nGC_9809)*dsw_
      coupl(nGC_13699) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_9819) = coupl(nGC_9817)*dcw_ + coupl(nGC_9818)*dsw_
      coupl(nGC_9927) = -cima*dME
      coupl(nGC_9923) = coupl(nGC_9921)*dcw_ + coupl(nGC_9922)*dsw_
      coupl(nGC_9882) = coupl(nGC_9880)*dcw_ + coupl(nGC_9881)*dsw_
      coupl(nGC_12870) = coupl(nGC_65)*(dZdL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_12711) = -coupl(nGC_9572)
      coupl(nGC_9566) = -cima*dydo_QED1
      coupl(nGC_9567) = -cima*dydo_QED1_QCD2
      coupl(nGC_9563) = coupl(nGC_9562)*dZgs_QCD2
      coupl(nGC_9569) = coupl(nGC_9568)*dyup_QED1
      coupl(nGC_12372) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_12373) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_12374) = coupl(nGC_2)*dZA/2d0
      coupl(nGC_12474) = coupl(nGC_59)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12621) = coupl(nGC_159)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_12098) = coupl(nGC_11)*dZdR_QCD2
      coupl(nGC_12122) = coupl(nGC_4)*dZtauMinusR
      coupl(nGC_9690) = coupl(nGC_9689)*dcw_
      coupl(nGC_12250) = coupl(nGC_3)*(dZA + 2d0*dZWMinus)/2d0
      coupl(nGC_12253) = coupl(nGC_5)*(dZA + dZWMinus)
      coupl(nGC_9693) = coupl(nGC_9691)*dcw_ + coupl(nGC_9692)*dvev_QEDM1
      coupl(nGC_9695) = coupl(nGC_9694)*dcw_
      coupl(nGC_9361) = coupl(nGC_11)**2d0*coupl(nGC_155)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9369) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12658) = coupl(nGC_50)*dZWpMinus/2d0 + coupl(nGC_50)*dZeMinusL/&
                         2d0 + coupl(nGC_50)*dZnu_eL/2d0 + coupl(nGC_9754)
      coupl(nGC_9590) = -cima*dys_QED1_QCD2
      coupl(nGC_12020) = coupl(nGC_94)*dZtL_QCD2
      coupl(nGC_9621) = -cima*dym_QED1
      coupl(nGC_9628) = coupl(nGC_9627)*dytau_QED1
      coupl(nGC_9402) = coupl(nGC_11)**2d0*coupl(nGC_17)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13489) = -2d0*coupl(nGC_12253)
      coupl(nGC_9449) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_9611) = coupl(nGC_9610)*dyb_QED1
      coupl(nGC_9579) = coupl(nGC_9577)*dys_QED1_QCD2
      coupl(nGC_9724) = coupl(nGC_9723)*dsw_
      coupl(nGC_9523) = coupl(nGC_9522)*dlam_QED2
      coupl(nGC_9521) = coupl(nGC_9520)*dlam_QED2
      coupl(nGC_13139) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9579)
      coupl(nGC_223) = -cima/(2d0*cMW)
      coupl(nGC_227) = 1d0/(2d0*cMZ)
      coupl(nGC_9416) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_9410) = coupl(nGC_11)**2d0*coupl(nGC_24)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12280) = coupl(nGC_4)*dZWMinus/2d0
      coupl(nGC_12285) = coupl(nGC_7)*dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0 +    &
                         coupl(nGC_9695)
      coupl(nGC_12062) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_12061) = coupl(nGC_136)*dZdR_QCD2/2d0 + coupl(nGC_136)*        &
                         dZuL_QCD2/2d0 + coupl(nGC_9567)
      coupl(nGC_12064) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_9626) = -cima*dytau_QED1
      coupl(nGC_12107) = coupl(nGC_95)*dZdR_QCD2
      coupl(nGC_9677) = coupl(nGC_9676)*dsw_
      coupl(nGC_9623) = coupl(nGC_9622)*dym_QED1
      coupl(nGC_9704) = coupl(nGC_9702)*dcw_ + coupl(nGC_9703)*dsw_
      coupl(nGC_9708) = coupl(nGC_9705)*dcw_ + coupl(nGC_9706)*dsw_ + coupl(   &
                        nGC_9707)*dvev_QEDM1
      coupl(nGC_9318) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9312) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_12119) = coupl(nGC_111)*dZcR_QCD2
      coupl(nGC_9726) = coupl(nGC_9725)*dsw_
      coupl(nGC_9671) = coupl(nGC_9670)*dsw_
      coupl(nGC_9876) = coupl(nGC_9874)*dcw_ + coupl(nGC_9875)*dsw_
      coupl(nGC_9870) = coupl(nGC_9868)*dcw_ + coupl(nGC_9869)*dsw_
      coupl(nGC_9873) = coupl(nGC_9871)*dcw_ + coupl(nGC_9872)*dsw_
      coupl(nGC_13288) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_9521)
      coupl(nGC_9879) = coupl(nGC_9877)*dcw_ + coupl(nGC_9878)*dsw_
      coupl(nGC_12751) = coupl(nGC_155)*dZH/2d0 + coupl(nGC_9653)
      coupl(nGC_13868) = coupl(nGC_11)*dZuR_QCD2
      coupl(nGC_13867) = coupl(nGC_11)*dZuL_QCD2
      coupl(nGC_12230) = coupl(nGC_11)*dZbR_QCD2
      coupl(nGC_12128) = coupl(nGC_8)*dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 +    &
                         coupl(nGC_8)*dZZ/2d0 + coupl(nGC_9690)
      coupl(nGC_12311) = coupl(nGC_3)*dZWMinus/2d0
      coupl(nGC_13192) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_12246) = coupl(nGC_18)*(dZbL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_9888) = coupl(nGC_9886)*dcw_ + coupl(nGC_9887)*dsw_
      coupl(nGC_12795) = coupl(nGC_111)*dZtR_QCD2
      coupl(nGC_12243) = coupl(nGC_27)*(dZbR_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_12811) = coupl(nGC_9)*dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0 +    &
                         coupl(nGC_9688)
      coupl(nGC_12149) = coupl(nGC_19)*(dZbL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_9376) = coupl(nGC_11)**2d0*coupl(nGC_65)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9934) = -cima*dMS_QCD2
      coupl(nGC_9354) = coupl(nGC_11)**2d0*coupl(nGC_138)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9356) = coupl(nGC_11)**2d0*coupl(nGC_152)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9350) = coupl(nGC_11)**2d0*coupl(nGC_351)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9421) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_9588) = coupl(nGC_9586)*dys_QED1_QCD2
      coupl(nGC_9589) = -cima*dys_QED1
      coupl(nGC_9584) = coupl(nGC_9583)*dydo_QED1
      coupl(nGC_9585) = coupl(nGC_9583)*dydo_QED1_QCD2
      coupl(nGC_9587) = coupl(nGC_9586)*dys_QED1
      coupl(nGC_9378) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9905) = coupl(nGC_9904)*dsw_
      coupl(nGC_13698) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_12031) = coupl(nGC_48)*dZA/2d0 + coupl(nGC_48)*dZWMinus/2d0 +  &
                         coupl(nGC_9656)
      coupl(nGC_12034) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_9563)
      coupl(nGC_9630) = coupl(nGC_9629)*dytau_QED1
      coupl(nGC_9635) = coupl(nGC_9634)*dyup_QED1
      coupl(nGC_9638) = coupl(nGC_9637)*dyup_QED1
      coupl(nGC_9639) = coupl(nGC_9637)*dyup_QED1_QCD2
      coupl(nGC_14168) = coupl(nGC_96)*dZsR_QCD2
      coupl(nGC_9901) = coupl(nGC_9900)*dsw_
      coupl(nGC_9734) = coupl(nGC_9733)*dsw_
      coupl(nGC_9831) = coupl(nGC_9829)*dcw_ + coupl(nGC_9830)*dsw_
      coupl(nGC_9834) = coupl(nGC_9832)*dcw_ + coupl(nGC_9833)*dsw_
      coupl(nGC_9320) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9645) = coupl(nGC_9643)*dyc_QED1_QCD2
      coupl(nGC_9644) = coupl(nGC_9643)*dyc_QED1
      coupl(nGC_9642) = coupl(nGC_9640)*dyc_QED1_QCD2
      coupl(nGC_9641) = coupl(nGC_9640)*dyc_QED1
      coupl(nGC_9343) = coupl(nGC_11)**2d0*coupl(nGC_153)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9894) = coupl(nGC_9892)*dcw_ + coupl(nGC_9893)*dsw_
      coupl(nGC_9648) = coupl(nGC_9646)*dyc_QED1_QCD2
      coupl(nGC_9326) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_13102) = coupl(nGC_11)*dZcL_QCD2
      coupl(nGC_13101) = coupl(nGC_11)*dZcR_QCD2
      coupl(nGC_12594) = coupl(nGC_138)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_9344) = coupl(nGC_11)**2d0*coupl(nGC_139)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9722) = coupl(nGC_9721)*dsw_
      coupl(nGC_9780) = coupl(nGC_9779)*dsw_
      coupl(nGC_219) = cima/(2d0*cMW)
      coupl(nGC_9920) = coupl(nGC_9918)*dcw_ + coupl(nGC_9919)*dsw_
      coupl(nGC_12525) = coupl(nGC_123)*dZWMinus/2d0 + coupl(nGC_123)*dZZ/2d0  &
                          + coupl(nGC_9693)
      coupl(nGC_24381) = -coupl(nGC_12034)
      coupl(nGC_12674) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_12673) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_12479) = coupl(nGC_59)*dZWpMinus/2d0 + coupl(nGC_9718)
      coupl(nGC_9467) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_9466) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_9782) = coupl(nGC_9781)*dsw_
      coupl(nGC_9469) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)**2d0  &
                         + coupl(nGC_109)**2d0 + coupl(nGC_42)**2d0 + 2d0*coupl&
                        (nGC_43)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9468) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 &
                         - coupl(nGC_109)**2d0 - coupl(nGC_42)**2d0 - 2d0*coupl&
                        (nGC_43)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_9784) = coupl(nGC_9783)*dsw_
      coupl(nGC_9938) = cima*dMW2
      coupl(nGC_13450) = coupl(nGC_24)*dZZp/2d0 + coupl(nGC_9876)
      coupl(nGC_12297) = coupl(nGC_102)*dZcR_QCD2
      coupl(nGC_12063) = coupl(nGC_1)*dZA/2d0
      coupl(nGC_12079) = coupl(nGC_111)*dZuR_QCD2
      coupl(nGC_9541) = coupl(nGC_9539)*dMW2 + coupl(nGC_9540)*dsw_
      coupl(nGC_12177) = coupl(nGC_133)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_12172) = coupl(nGC_42)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_12173) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_9905)
      coupl(nGC_9519) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_17649) = -coupl(nGC_9467)
      coupl(nGC_9931) = -cima*dMC_QCD2
      coupl(nGC_9789) = coupl(nGC_9787)*dcw_ + coupl(nGC_9788)*dsw_
      coupl(nGC_9925) = -cima*dMH2
      coupl(nGC_12499) = coupl(nGC_156)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_9930) = -cima*dMU_QCD2
      coupl(nGC_12180) = coupl(nGC_12177) + coupl(nGC_9645)
      coupl(nGC_9347) = coupl(nGC_11)**2d0*coupl(nGC_161)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9287) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_9286) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_9285) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_9284) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(     &
                        nGC_11)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9283) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_9282) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_9281) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9837) = coupl(nGC_9835)*dcw_ + coupl(nGC_9836)*dsw_
      coupl(nGC_12000) = coupl(nGC_11)*dZtL_QCD2
      coupl(nGC_12003) = coupl(nGC_11)*dZtR_QCD2
      coupl(nGC_9903) = coupl(nGC_9902)*dsw_
      coupl(nGC_12272) = coupl(nGC_109)*dZWMinus/2d0 + coupl(nGC_9901)
      coupl(nGC_9940) = coupl(nGC_219)*dMW2
      coupl(nGC_9941) = coupl(nGC_223)*dMW2
      coupl(nGC_9942) = coupl(nGC_227)*dMZ2
      coupl(nGC_9608) = -cima*dyb_QED1
      coupl(nGC_9928) = -cima*dMM
      coupl(nGC_9387) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9602) = coupl(nGC_9600)*dys_QED1_QCD2
      coupl(nGC_9601) = coupl(nGC_9600)*dys_QED1
      coupl(nGC_9929) = -cima*dMTA
      coupl(nGC_9607) = cima*dyt_QED1_QCD2
      coupl(nGC_9606) = cima*dyt_QED1
      coupl(nGC_9764) = coupl(nGC_9763)*dsw_
      coupl(nGC_9604) = coupl(nGC_9603)*dys_QED1
      coupl(nGC_12556) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9588)
      coupl(nGC_13415) = coupl(nGC_25)*(dZcL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_12554) = coupl(nGC_152)*dZH/2d0 + coupl(nGC_9587)
      coupl(nGC_12555) = coupl(nGC_140)*dZH/2d0 + coupl(nGC_9584)
      coupl(nGC_14077) = coupl(nGC_79)*(dZbR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_14074) = coupl(nGC_61)*(dZbL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_9581) = coupl(nGC_9580)*dydo_QED1
      coupl(nGC_12958) = coupl(nGC_9938) + coupl(nGC_MW)*dZWMinus
      coupl(nGC_9527) = coupl(nGC_9525)*dlam_QED2 + coupl(nGC_9526)*dvev_QEDM1
      coupl(nGC_9524) = -cima*dlam_QED2
      coupl(nGC_13528) = coupl(nGC_32)*(dZcR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_12300) = coupl(nGC_93)*dZcL_QCD2
      coupl(nGC_12307) = coupl(nGC_6)*dZA
      coupl(nGC_12179) = -coupl(nGC_12177) - coupl(nGC_9645)
      coupl(nGC_9518) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_12099) = coupl(nGC_11)*dZdL_QCD2
      coupl(nGC_13093) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_muL +    &
                         coupl(nGC_9920)
      coupl(nGC_9770) = coupl(nGC_9769)*dsw_
      coupl(nGC_9341) = coupl(nGC_11)**2d0*coupl(nGC_137)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9355) = coupl(nGC_11)**2d0*coupl(nGC_140)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12786) = coupl(nGC_143)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_9383) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9768) = coupl(nGC_9767)*dsw_
      coupl(nGC_9616) = -cima*dye_QED1
      coupl(nGC_9618) = coupl(nGC_9617)*dye_QED1
      coupl(nGC_13553) = coupl(nGC_131)*dZH/2d0 + coupl(nGC_9614)
      coupl(nGC_13552) = coupl(nGC_131)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_12608) = coupl(nGC_9940) + coupl(nGC_MW_GF)*dZWMinus/2d0
      coupl(nGC_9380) = coupl(nGC_11)**2d0*coupl(nGC_66)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9932) = -cima*dMT_QCD2
      coupl(nGC_13329) = coupl(nGC_161)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_13825) = coupl(nGC_160)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9840) = coupl(nGC_9838)*dcw_ + coupl(nGC_9839)*dsw_
      coupl(nGC_9349) = coupl(nGC_11)**2d0*coupl(nGC_149)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9342) = coupl(nGC_11)**2d0*coupl(nGC_141)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9340) = coupl(nGC_11)**2d0*coupl(nGC_1693)*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9345) = coupl(nGC_11)**2d0*coupl(nGC_151)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13971) = coupl(nGC_150)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_12737) = coupl(nGC_9925) + coupl(nGC_MH)*dZH
      coupl(nGC_12734) = coupl(nGC_I)*dZH
      coupl(nGC_9939) = cima*dMWp2
      coupl(nGC_9339) = coupl(nGC_11)**2d0*coupl(nGC_133)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_11995) = coupl(nGC_MI)*dZeMinusL
      coupl(nGC_9307) = cima*(-coupl(nGC_27)**2d0 - coupl(nGC_28)**2d0 - coupl(&
                        nGC_79)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_85)**2d0 &
                         - coupl(nGC_97)**2d0)/(16d0*pi**2d0)
      coupl(nGC_15213) = coupl(nGC_MI)*dZtauMinusR
      coupl(nGC_9935) = -cima*dMB_QCD2
      coupl(nGC_9937) = cima*dMZp2
      coupl(nGC_9936) = cima*dMZ2
      coupl(nGC_9489) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_12041) = coupl(nGC_80)*(dZcR_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_9488) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_12123) = coupl(nGC_4)*dZtauMinusL
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
