!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-14 17:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_9351) = coupl(nGC_11)**2d0*coupl(nGC_156)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12120) = coupl(nGC_4)*dZA/2d0
      coupl(nGC_12125) = coupl(nGC_12120) + coupl(nGC_12123)
      coupl(nGC_9303) = cima*(-coupl(nGC_18)**2d0 - coupl(nGC_19)**2d0 - coupl(&
                        nGC_61)**2d0 - coupl(nGC_64)**2d0 - coupl(nGC_67)**2d0 &
                         - coupl(nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9305) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9482) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_86) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_1)*   &
                        coupl(nGC_88) + coupl(nGC_1)*coupl(nGC_95) + coupl(    &
                        nGC_1)*coupl(nGC_96) + coupl(nGC_1)*coupl(nGC_97) +    &
                        coupl(nGC_101)*coupl(nGC_2) + coupl(nGC_102)*coupl(    &
                        nGC_2) + coupl(nGC_103)*coupl(nGC_2) + coupl(nGC_2)*   &
                        coupl(nGC_92) + coupl(nGC_2)*coupl(nGC_93) + coupl(    &
                        nGC_2)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_9300) = cima*(-coupl(nGC_111)**2d0 - coupl(nGC_2)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_9301) = cima*(-coupl(nGC_103)**2d0 - coupl(nGC_33)**2d0 - coupl&
                        (nGC_34)**2d0 - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0&
                         - coupl(nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9481) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_110) - coupl(nGC_1)*coupl(nGC_114) - coupl(nGC_111 &
                        )*coupl(nGC_2) - coupl(nGC_115)*coupl(nGC_2))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_9480) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_110) + coupl(nGC_1)*coupl(nGC_114) + coupl(nGC_111 &
                        )*coupl(nGC_2) + coupl(nGC_115)*coupl(nGC_2))/(32d0*pi &
                        **2d0)
      coupl(nGC_9483) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_86) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_1)*   &
                        coupl(nGC_88) - coupl(nGC_1)*coupl(nGC_95) - coupl(    &
                        nGC_1)*coupl(nGC_96) - coupl(nGC_1)*coupl(nGC_97) -    &
                        coupl(nGC_101)*coupl(nGC_2) - coupl(nGC_102)*coupl(    &
                        nGC_2) - coupl(nGC_103)*coupl(nGC_2) - coupl(nGC_2)*   &
                        coupl(nGC_92) - coupl(nGC_2)*coupl(nGC_93) - coupl(    &
                        nGC_2)*coupl(nGC_94))/(96d0*pi**2d0*Nc)
      coupl(nGC_9485) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_110)**2d0 &
                         - coupl(nGC_111)**2d0 - coupl(nGC_114)**2d0 - coupl(  &
                        nGC_115)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9484) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_110)**2d0  &
                         + coupl(nGC_111)**2d0 + coupl(nGC_114)**2d0 + coupl(  &
                        nGC_115)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9487) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101)*coupl&
                        (nGC_111) - coupl(nGC_102)*coupl(nGC_111) - coupl(     &
                        nGC_103)*coupl(nGC_111) - coupl(nGC_110)*coupl(nGC_95  &
                        ) - coupl(nGC_110)*coupl(nGC_96) - coupl(nGC_110)*coupl&
                        (nGC_97) - coupl(nGC_114)*coupl(nGC_86) - coupl(nGC_114&
                        )*coupl(nGC_87) - coupl(nGC_114)*coupl(nGC_88) - coupl(&
                        nGC_115)*coupl(nGC_92) - coupl(nGC_115)*coupl(nGC_93   &
                        ) - coupl(nGC_115)*coupl(nGC_94))/(96d0*pi**2d0*Nc)
      coupl(nGC_9486) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)*coupl(&
                        nGC_111) + coupl(nGC_102)*coupl(nGC_111) + coupl(      &
                        nGC_103)*coupl(nGC_111) + coupl(nGC_110)*coupl(nGC_95  &
                        ) + coupl(nGC_110)*coupl(nGC_96) + coupl(nGC_110)*coupl&
                        (nGC_97) + coupl(nGC_114)*coupl(nGC_86) + coupl(nGC_114&
                        )*coupl(nGC_87) + coupl(nGC_114)*coupl(nGC_88) + coupl(&
                        nGC_115)*coupl(nGC_92) + coupl(nGC_115)*coupl(nGC_93   &
                        ) + coupl(nGC_115)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_9337) = coupl(nGC_11)**2d0*coupl(nGC_130)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9335) = coupl(nGC_11)**2d0*coupl(nGC_163)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9334) = coupl(nGC_11)**2d0*coupl(nGC_162)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9333) = coupl(nGC_11)**2d0*coupl(nGC_136)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9332) = coupl(nGC_11)**2d0*coupl(nGC_148)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9331) = coupl(nGC_11)**2d0*coupl(nGC_134)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9330) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9804) = coupl(nGC_9802)*dcw_ + coupl(nGC_9803)*dsw_
      coupl(nGC_9807) = coupl(nGC_9805)*dcw_ + coupl(nGC_9806)*dsw_
      coupl(nGC_9801) = coupl(nGC_9799)*dcw_ + coupl(nGC_9800)*dsw_
      coupl(nGC_12879) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_9563)
      coupl(nGC_9654) = coupl(nGC_9652)*dyt_QED1_QCD2
      coupl(nGC_9650) = coupl(nGC_9649)*dyt_QED1
      coupl(nGC_9651) = coupl(nGC_9649)*dyt_QED1_QCD2
      coupl(nGC_13635) = coupl(nGC_4)*dZeMinusR
      coupl(nGC_13636) = coupl(nGC_12120) + coupl(nGC_13635)
      coupl(nGC_13633) = coupl(nGC_4)*dZeMinusL
      coupl(nGC_12463) = coupl(nGC_11)*dZsR_QCD2
      coupl(nGC_12585) = coupl(nGC_78)*dZWpMinus/2d0 + coupl(nGC_9722)
      coupl(nGC_13116) = coupl(nGC_88)*dZZp/2d0 + coupl(nGC_9819)
      coupl(nGC_13111) = coupl(nGC_88)*dZbL_QCD2
      coupl(nGC_13298) = coupl(nGC_147)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_12582) = coupl(nGC_78)*(dZsR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_12513) = coupl(nGC_66)*(dZsL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_12510) = coupl(nGC_84)*(dZsR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_13187) = coupl(nGC_MI)*dZmuMinusR
      coupl(nGC_13184) = coupl(nGC_MI)*dZmuMinusL
      coupl(nGC_13021) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_13020) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_13022) = coupl(nGC_13020) + coupl(nGC_9935)
      coupl(nGC_9425) = coupl(nGC_11)*sq2*(-coupl(nGC_23)**2d0 - coupl(nGC_25  &
                        )**2d0 - coupl(nGC_62)**2d0 - coupl(nGC_63)**2d0 -     &
                        coupl(nGC_64)**2d0 - coupl(nGC_93)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_9413) = coupl(nGC_101)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13362) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZeMinusR +   &
                         coupl(nGC_9923)
      coupl(nGC_9411) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12885) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_13364) = coupl(nGC_MI)*dZZ
      coupl(nGC_9470) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_129)**2d0  &
                         + coupl(nGC_134)**2d0 + coupl(nGC_135)**2d0 + coupl(  &
                        nGC_136)**2d0 + coupl(nGC_148)**2d0 + coupl(nGC_154)** &
                        2d0 + coupl(nGC_162)**2d0 + coupl(nGC_163)**2d0)/(32d0*&
                        pi**2d0*Nc)
      coupl(nGC_14837) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_9472) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)*coupl&
                        (nGC_62) - coupl(nGC_109)*coupl(nGC_60) - coupl(nGC_42 &
                        )*coupl(nGC_67) - coupl(nGC_43)*coupl(nGC_59) - coupl( &
                        nGC_43)*coupl(nGC_63))/(96d0*pi**2d0*Nc)
      coupl(nGC_9473) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)*coupl(&
                        nGC_62) + coupl(nGC_109)*coupl(nGC_60) + coupl(nGC_42)*&
                        coupl(nGC_67) + coupl(nGC_43)*coupl(nGC_59) + coupl(   &
                        nGC_43)*coupl(nGC_63))/(96d0*pi**2d0)
      coupl(nGC_9474) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0 &
                         - coupl(nGC_132)**2d0 - coupl(nGC_138)**2d0 - coupl(  &
                        nGC_140)**2d0 - coupl(nGC_150)**2d0 - coupl(nGC_152)** &
                        2d0 - coupl(nGC_155)**2d0 - coupl(nGC_160)**2d0)/(16d0*&
                        pi**2d0)
      coupl(nGC_9475) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_131)**2d0  &
                         + coupl(nGC_132)**2d0 + coupl(nGC_138)**2d0 + coupl(  &
                        nGC_140)**2d0 + coupl(nGC_150)**2d0 + coupl(nGC_152)** &
                        2d0 + coupl(nGC_155)**2d0 + coupl(nGC_160)**2d0)/(16d0*&
                        pi**2d0*Nc)
      coupl(nGC_9478) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9479) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9420) = coupl(nGC_11)*sq2*(coupl(nGC_18)**2d0 + coupl(nGC_19)**&
                        2d0 + coupl(nGC_61)**2d0 + coupl(nGC_64)**2d0 + coupl( &
                        nGC_67)**2d0 + coupl(nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9578) = coupl(nGC_9577)*dys_QED1
      coupl(nGC_9570) = coupl(nGC_9568)*dyup_QED1_QCD2
      coupl(nGC_9575) = coupl(nGC_9574)*dydo_QED1
      coupl(nGC_22063) = -coupl(nGC_12280)
      coupl(nGC_12341) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_12340) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_12082) = coupl(nGC_115)*dZuL_QCD2
      coupl(nGC_12087) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_tauL +   &
                         coupl(nGC_9920)
      coupl(nGC_12088) = coupl(nGC_MI)*dZnu_tauL
      coupl(nGC_12089) = coupl(nGC_MI)*dZnu_tauR
      coupl(nGC_16120) = coupl(nGC_9939) + coupl(nGC_MWp)*dZWpMinus
      coupl(nGC_9683) = coupl(nGC_9681)*dcw_ + coupl(nGC_9682)*dsw_
      coupl(nGC_12166) = coupl(nGC_135)*dZcR_QCD2/2d0 + coupl(nGC_135)*        &
                         dZdL_QCD2/2d0 + coupl(nGC_9642)
      coupl(nGC_9680) = coupl(nGC_9678)*dcw_ + coupl(nGC_9679)*dsw_
      coupl(nGC_9686) = coupl(nGC_9684)*dcw_ + coupl(nGC_9685)*dsw_
      coupl(nGC_12248) = coupl(nGC_27)*dZZp/2d0 + coupl(nGC_9804)
      coupl(nGC_12249) = coupl(nGC_18)*dZZp/2d0 + coupl(nGC_9801)
      coupl(nGC_12169) = coupl(nGC_142)*dZeMinusR/2d0 + coupl(nGC_142)*dZnu_eL/&
                         2d0 + coupl(nGC_9616)
      coupl(nGC_9373) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9372) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9371) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9370) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9377) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9375) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9374) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9379) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9565) = coupl(nGC_9564)*dZgs_QCD2
      coupl(nGC_12640) = coupl(nGC_132)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_12645) = coupl(nGC_12640) + coupl(nGC_9648)
      coupl(nGC_9295) = cima*(-coupl(nGC_115)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_42)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9296) = cima*(-coupl(nGC_24)**2d0 - coupl(nGC_25)**2d0 - coupl(&
                        nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_67)**2d0 &
                         - coupl(nGC_94)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9290) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(   &
                        nGC_114))/(8d0*pi**2d0)
      coupl(nGC_9291) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9292) = cima*(-cMB*coupl(nGC_18)*coupl(nGC_27) - cMC*coupl(    &
                        nGC_62)*coupl(nGC_80) - cMD*coupl(nGC_86)*coupl(nGC_95 &
                        ) - cMS*coupl(nGC_17)*coupl(nGC_26) - cMT*coupl(nGC_65 &
                        )*coupl(nGC_83) - cMU*coupl(nGC_59)*coupl(nGC_77))/(8d0&
                        *pi**2d0)
      coupl(nGC_15409) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_12483) = coupl(nGC_105)*dZH/2d0 + coupl(nGC_9541)
      coupl(nGC_9298) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9299) = cima*(-cMB*coupl(nGC_67)*coupl(nGC_85) - cMC*coupl(    &
                        nGC_25)*coupl(nGC_34) - cMD*coupl(nGC_65)*coupl(nGC_83 &
                        ) - cMS*coupl(nGC_66)*coupl(nGC_84) - cMT*coupl(nGC_103&
                        )*coupl(nGC_94) - cMU*coupl(nGC_24)*coupl(nGC_33))/(8d0&
                        *pi**2d0)
      coupl(nGC_15111) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_9444) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_12017) = coupl(nGC_103)*dZtR_QCD2
      coupl(nGC_12015) = coupl(nGC_3)*dZA/2d0
      coupl(nGC_14147) = coupl(nGC_110)*dZbR_QCD2
      coupl(nGC_9441) = coupl(nGC_11)*sq2*(-coupl(nGC_24)**2d0 - coupl(nGC_25  &
                        )**2d0 - coupl(nGC_65)**2d0 - coupl(nGC_66)**2d0 -     &
                        coupl(nGC_67)**2d0 - coupl(nGC_94)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_14144) = coupl(nGC_114)*dZbL_QCD2
      coupl(nGC_9440) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_115)**2d0 - coupl(   &
                        nGC_129)**2d0 - coupl(nGC_155)**2d0 - coupl(nGC_156)*  &
                        coupl(nGC_351) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(    &
                        nGC_42)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9750) = coupl(nGC_9749)*dsw_
      coupl(nGC_9752) = coupl(nGC_9751)*dsw_
      coupl(nGC_9443) = coupl(nGC_11)*sq2*(-coupl(nGC_103)**2d0 - coupl(nGC_33 &
                        )**2d0 - coupl(nGC_34)**2d0 - coupl(nGC_83)**2d0 -     &
                        coupl(nGC_84)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_9756) = coupl(nGC_9755)*dsw_
      coupl(nGC_9758) = coupl(nGC_9757)*dsw_
      coupl(nGC_13405) = coupl(nGC_144)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_14049) = coupl(nGC_MI)*dZnu_muL
      coupl(nGC_13019) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_9858) = coupl(nGC_9856)*dcw_ + coupl(nGC_9857)*dsw_
      coupl(nGC_9855) = coupl(nGC_9853)*dcw_ + coupl(nGC_9854)*dsw_
      coupl(nGC_9852) = coupl(nGC_9850)*dcw_ + coupl(nGC_9851)*dsw_
      coupl(nGC_13533) = coupl(nGC_32)*dZZp/2d0 + coupl(nGC_9870)
      coupl(nGC_12464) = coupl(nGC_11)*dZsL_QCD2
      coupl(nGC_13088) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZeMinusL/ &
                         2d0 + coupl(nGC_42)*dZnu_eL/2d0 + coupl(nGC_9905)
      coupl(nGC_9538) = coupl(nGC_9536)*dMW2 + coupl(nGC_9537)*dsw_
      coupl(nGC_9535) = coupl(nGC_9534)*dMW2
      coupl(nGC_9530) = coupl(nGC_9528)*dlam_QED2 + coupl(nGC_9529)*dvev_QEDM1
      coupl(nGC_12835) = coupl(nGC_130)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_12837) = -coupl(nGC_12835) - coupl(nGC_9612)
      coupl(nGC_12836) = -coupl(nGC_9611)
      coupl(nGC_13114) = coupl(nGC_97)*dZbR_QCD2
      coupl(nGC_12541) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_12542) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_12545) = coupl(nGC_12542) + coupl(nGC_9932)
      coupl(nGC_13833) = coupl(nGC_9942) + coupl(nGC_MZ_GF)*dZZ/2d0
      coupl(nGC_12613) = -coupl(nGC_9601)
      coupl(nGC_12612) = coupl(nGC_149)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_12615) = coupl(nGC_12612) + coupl(nGC_9602)
      coupl(nGC_12614) = -coupl(nGC_12612) - coupl(nGC_9602)
      coupl(nGC_12203) = coupl(nGC_101)*dZuR_QCD2
      coupl(nGC_12752) = coupl(nGC_12750) + coupl(nGC_9654)
      coupl(nGC_12755) = coupl(nGC_121)*dZZ + coupl(nGC_9704)
      coupl(nGC_13330) = -coupl(nGC_9635)
      coupl(nGC_13336) = coupl(nGC_4)*dZmuMinusL
      coupl(nGC_13338) = coupl(nGC_4)*dZmuMinusR
      coupl(nGC_9409) = coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101) - coupl(  &
                        nGC_102) - coupl(nGC_103) + coupl(nGC_86) + coupl(     &
                        nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93 &
                        ) + coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96) -    &
                        coupl(nGC_97))/(24d0*pi**2d0*Nc)
      coupl(nGC_9408) = coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101) + coupl(   &
                        nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl(     &
                        nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93 &
                        ) - coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(24d0*pi**2d0)
      coupl(nGC_9401) = coupl(nGC_11)**2d0*coupl(nGC_95)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9400) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9403) = coupl(nGC_11)**2d0*coupl(nGC_26)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_26664) = -coupl(nGC_9409)
      coupl(nGC_9405) = coupl(nGC_11)**2d0*coupl(nGC_96)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9404) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9407) = coupl(nGC_103)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9406) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12729) = -coupl(nGC_12120)
      coupl(nGC_12431) = coupl(nGC_85)*dZWpMinus/2d0 + coupl(nGC_9750)
      coupl(nGC_12723) = coupl(nGC_12721) + coupl(nGC_9628)
      coupl(nGC_12722) = -coupl(nGC_12721) - coupl(nGC_9628)
      coupl(nGC_9391) = coupl(nGC_11)**2d0*coupl(nGC_27)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9390) = coupl(nGC_11)**2d0*coupl(nGC_18)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9393) = coupl(nGC_11)**2d0*coupl(nGC_28)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9392) = coupl(nGC_11)**2d0*coupl(nGC_19)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9395) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9394) = coupl(nGC_11)**2d0*coupl(nGC_25)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9397) = coupl(nGC_102)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9396) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9399) = coupl(nGC_11)**2d0*coupl(nGC_32)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9398) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_15729) = coupl(nGC_MI)*dZnu_eR
      coupl(nGC_12053) = coupl(nGC_72)*dZWpMinus/2d0 + coupl(nGC_72)*dZmuMinusR&
                         /2d0 + coupl(nGC_72)*dZnu_muR/2d0 + coupl(nGC_9768)
      coupl(nGC_12052) = coupl(nGC_54)*dZWpMinus/2d0 + coupl(nGC_54)*dZmuMinusL&
                         /2d0 + coupl(nGC_54)*dZnu_muL/2d0 + coupl(nGC_9770)
      coupl(nGC_12116) = coupl(nGC_115)*dZcL_QCD2
      coupl(nGC_12112) = coupl(nGC_95)*dZZp/2d0 + coupl(nGC_9789)
      coupl(nGC_12110) = coupl(nGC_86)*dZdL_QCD2
      coupl(nGC_9714) = coupl(nGC_9712)*dcw_ + coupl(nGC_9713)*dsw_
      coupl(nGC_9711) = coupl(nGC_9709)*dcw_ + coupl(nGC_9710)*dsw_
      coupl(nGC_9328) = coupl(nGC_11)**2d0*coupl(nGC_154)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9329) = coupl(nGC_11)**2d0*coupl(nGC_135)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9498) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101) -    &
                        coupl(nGC_102) - coupl(nGC_103) - coupl(nGC_86) - coupl&
                        (nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93&
                        ) - coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96) -    &
                        coupl(nGC_97))/(192d0*pi**2d0*Nc)
      coupl(nGC_9499) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) +     &
                        coupl(nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl&
                        (nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93&
                        ) + coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(96d0*pi**2d0*Nc**2d0)
      coupl(nGC_9496) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) +     &
                        coupl(nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl&
                        (nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93&
                        ) + coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(384d0*pi**2d0)
      coupl(nGC_9497) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) + &
                        coupl(nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl&
                        (nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93&
                        ) - coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(128d0*pi**2d0)
      coupl(nGC_9494) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_110) -    &
                        coupl(nGC_111) - coupl(nGC_114) - coupl(nGC_115))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_9495) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_110) +     &
                        coupl(nGC_111) + coupl(nGC_114) + coupl(nGC_115))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_9492) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 + &
                        coupl(nGC_60)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62 &
                        )**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_64)**2d0 +     &
                        coupl(nGC_65)**2d0 + coupl(nGC_66)**2d0 + coupl(nGC_67 &
                        )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_78)**2d0 +     &
                        coupl(nGC_79)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81 &
                        )**2d0 + coupl(nGC_82)**2d0 + coupl(nGC_83)**2d0 +     &
                        coupl(nGC_84)**2d0 + coupl(nGC_85)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9493) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_110) +     &
                        coupl(nGC_111) + coupl(nGC_114) + coupl(nGC_115))/(    &
                        128d0*pi**2d0)
      coupl(nGC_9490) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_9491) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_59)**2d0  &
                         - coupl(nGC_60)**2d0 - coupl(nGC_61)**2d0 - coupl(    &
                        nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_64)**2d0 &
                         - coupl(nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(    &
                        nGC_67)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)**2d0 &
                         - coupl(nGC_79)**2d0 - coupl(nGC_80)**2d0 - coupl(    &
                        nGC_81)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_83)**2d0 &
                         - coupl(nGC_84)**2d0 - coupl(nGC_85)**2d0)/(96d0*pi** &
                        2d0*Nc)
      coupl(nGC_9813) = coupl(nGC_9811)*dcw_ + coupl(nGC_9812)*dsw_
      coupl(nGC_9816) = coupl(nGC_9814)*dcw_ + coupl(nGC_9815)*dsw_
      coupl(nGC_12425) = coupl(nGC_67)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_17651) = -coupl(nGC_9466)
      coupl(nGC_14485) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZmuMinusL/&
                         2d0 + coupl(nGC_42)*dZnu_muL/2d0 + coupl(nGC_9905)
      coupl(nGC_12390) = -coupl(nGC_12250)
      coupl(nGC_12544) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_9661) = coupl(nGC_9659)*dsw_ + coupl(nGC_9660)*dvev_QEDM1
      coupl(nGC_9663) = coupl(nGC_9662)*dsw_
      coupl(nGC_9665) = coupl(nGC_9664)*dsw_
      coupl(nGC_13830) = coupl(nGC_13825) + coupl(nGC_9639)
      coupl(nGC_9667) = coupl(nGC_9666)*dsw_
      coupl(nGC_9669) = coupl(nGC_9668)*dsw_
      coupl(nGC_12579) = coupl(nGC_60)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_9867) = coupl(nGC_9865)*dcw_ + coupl(nGC_9866)*dsw_
      coupl(nGC_9698) = coupl(nGC_9696)*dcw_ + coupl(nGC_9697)*dsw_
      coupl(nGC_9864) = coupl(nGC_9862)*dcw_ + coupl(nGC_9863)*dsw_
      coupl(nGC_9861) = coupl(nGC_9859)*dcw_ + coupl(nGC_9860)*dsw_
      coupl(nGC_12873) = coupl(nGC_83)*(dZdR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_27255) = coupl(nGC_9408)/2d0
      coupl(nGC_27257) = coupl(nGC_9409)/2d0
      coupl(nGC_13194) = coupl(nGC_13192) + coupl(nGC_9930)
      coupl(nGC_12507) = 2d0*coupl(nGC_36)*dZWMinus + coupl(nGC_9677)
      coupl(nGC_13191) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_13193) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_12502) = -coupl(nGC_9650)
      coupl(nGC_12508) = -2d0*coupl(nGC_12507)
      coupl(nGC_24726) = -coupl(nGC_12015)
      coupl(nGC_12710) = coupl(nGC_137)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_12712) = -coupl(nGC_12710) - coupl(nGC_9573)
      coupl(nGC_12713) = coupl(nGC_12710) + coupl(nGC_9573)
      coupl(nGC_13185) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_12480) = coupl(nGC_77)*dZWpMinus/2d0 + coupl(nGC_9716)
      coupl(nGC_9448) = coupl(nGC_11)*sq2*(coupl(nGC_103)**2d0 + coupl(nGC_33  &
                        )**2d0 + coupl(nGC_34)**2d0 + coupl(nGC_83)**2d0 +     &
                        coupl(nGC_84)**2d0 + coupl(nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9561) = coupl(nGC_9558)*dcw_ + coupl(nGC_9559)*dMZ2 + coupl(   &
                        nGC_9560)*dsw_
      coupl(nGC_9445) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_115)**2d0 + coupl(    &
                        nGC_129)**2d0 + coupl(nGC_155)**2d0 + coupl(nGC_156)*  &
                        coupl(nGC_351) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                        nGC_42)**2d0)/(64d0*pi**2d0)
      coupl(nGC_13172) = coupl(nGC_82)*(dZbR_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_9447) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(    &
                        nGC_154)**2d0 + coupl(nGC_155)**2d0 + coupl(nGC_156)*  &
                        coupl(nGC_351) + 4d0*coupl(nGC_2)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9446) = coupl(nGC_11)*sq2*(coupl(nGC_24)**2d0 + coupl(nGC_25)**&
                        2d0 + coupl(nGC_65)**2d0 + coupl(nGC_66)**2d0 + coupl( &
                        nGC_67)**2d0 + coupl(nGC_94)**2d0)/(16d0*pi**2d0)
      coupl(nGC_13278) = coupl(nGC_71)*dZWpMinus/2d0 + coupl(nGC_71)*dZeMinusR/&
                         2d0 + coupl(nGC_71)*dZnu_muR/2d0 + coupl(nGC_9764)
      coupl(nGC_13175) = coupl(nGC_64)*(dZbL_QCD2 + dZcL_QCD2)/2d0
      coupl(nGC_9442) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_111)**2d0 - coupl(   &
                        nGC_154)**2d0 - coupl(nGC_155)**2d0 - coupl(nGC_156)*  &
                        coupl(nGC_351) - 4d0*coupl(nGC_2)**2d0)/(64d0*pi**2d0* &
                        Nc)
      coupl(nGC_12803) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZnu_tauL/ &
                         2d0 + coupl(nGC_42)*dZtauMinusL/2d0 + coupl(nGC_9905)
      coupl(nGC_12808) = coupl(nGC_157)*dZnu_tauL/2d0 + coupl(nGC_157)*        &
                         dZtauMinusR/2d0 + coupl(nGC_9626)
      coupl(nGC_12379) = coupl(nGC_43)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12477) = coupl(nGC_77)*(dZdR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_12628) = coupl(nGC_43)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_12158) = coupl(nGC_41)*dZWMinus/2d0 + coupl(nGC_9663)
      coupl(nGC_12095) = coupl(nGC_30)*dZZp/2d0 + coupl(nGC_30)*dZeMinusR/2d0  &
                          + coupl(nGC_30)*dZtauMinusR/2d0 + coupl(nGC_9837)
      coupl(nGC_12094) = coupl(nGC_21)*dZZp/2d0 + coupl(nGC_21)*dZeMinusL/2d0  &
                          + coupl(nGC_21)*dZtauMinusL/2d0 + coupl(nGC_9840)
      coupl(nGC_12152) = coupl(nGC_28)*(dZbR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_12622) = coupl(nGC_159)*dZH/2d0 + coupl(nGC_9630)
      coupl(nGC_12623) = coupl(nGC_12621) + coupl(nGC_12622)
      coupl(nGC_12154) = coupl(nGC_19)*dZZp/2d0 + coupl(nGC_9816)
      coupl(nGC_12155) = coupl(nGC_28)*dZZp/2d0 + coupl(nGC_9813)
      coupl(nGC_12259) = coupl(nGC_49)*dZA/2d0 + coupl(nGC_49)*dZWMinus + coupl&
                         (nGC_49)*dZZ/2d0 + coupl(nGC_9698)
      coupl(nGC_12393) = coupl(nGC_13)*dZH + coupl(nGC_9523)
      coupl(nGC_9360) = coupl(nGC_11)**2d0*coupl(nGC_160)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9362) = coupl(nGC_11)**2d0*coupl(nGC_42)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9363) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9364) = coupl(nGC_11)**2d0*coupl(nGC_43)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9365) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9366) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9367) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9368) = coupl(nGC_11)**2d0*coupl(nGC_67)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
