!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-14 17:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_9599) = coupl(nGC_9597)*dydo_QED1_QCD2
      coupl(nGC_9598) = coupl(nGC_9597)*dydo_QED1
      coupl(nGC_12659) = coupl(nGC_68)*dZWpMinus/2d0 + coupl(nGC_68)*dZeMinusR/&
                         2d0 + coupl(nGC_68)*dZnu_eR/2d0 + coupl(nGC_9752)
      coupl(nGC_13363) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZeMinusL +   &
                         coupl(nGC_9686)
      coupl(nGC_9593) = coupl(nGC_9591)*dyc_QED1_QCD2
      coupl(nGC_9592) = coupl(nGC_9591)*dyc_QED1
      coupl(nGC_23708) = -coupl(nGC_12311)
      coupl(nGC_9595) = coupl(nGC_9594)*dys_QED1
      coupl(nGC_13654) = coupl(nGC_113)*dZH/2d0 + coupl(nGC_113)*dZZ/2d0 +     &
                         coupl(nGC_9683)
      coupl(nGC_9917) = coupl(nGC_9915)*dcw_ + coupl(nGC_9916)*dsw_
      coupl(nGC_9914) = coupl(nGC_9912)*dcw_ + coupl(nGC_9913)*dsw_
      coupl(nGC_9911) = coupl(nGC_9909)*dcw_ + coupl(nGC_9910)*dsw_
      coupl(nGC_13367) = coupl(nGC_9936) + coupl(nGC_MZ)*dZZ
      coupl(nGC_12886) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_12026) = coupl(nGC_146)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_12027) = -coupl(nGC_12026) - coupl(nGC_9623)
      coupl(nGC_12022) = coupl(nGC_103)*dZZp/2d0 + coupl(nGC_9894)
      coupl(nGC_9625) = coupl(nGC_9624)*dym_QED1
      coupl(nGC_14173) = coupl(nGC_96)*dZZp/2d0 + coupl(nGC_9810)
      coupl(nGC_14171) = coupl(nGC_87)*dZsL_QCD2
      coupl(nGC_9620) = coupl(nGC_9619)*dye_QED1
      coupl(nGC_14174) = coupl(nGC_87)*dZZp/2d0 + coupl(nGC_9807)
      coupl(nGC_9471) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_129)**2d0 &
                         - coupl(nGC_134)**2d0 - coupl(nGC_135)**2d0 - coupl(  &
                        nGC_136)**2d0 - coupl(nGC_148)**2d0 - coupl(nGC_154)** &
                        2d0 - coupl(nGC_162)**2d0 - coupl(nGC_163)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_9596) = coupl(nGC_9594)*dys_QED1_QCD2
      coupl(nGC_9748) = coupl(nGC_9747)*dsw_
      coupl(nGC_9746) = coupl(nGC_9745)*dsw_
      coupl(nGC_9744) = coupl(nGC_9743)*dsw_
      coupl(nGC_9742) = coupl(nGC_9741)*dsw_
      coupl(nGC_9740) = coupl(nGC_9739)*dsw_
      coupl(nGC_14050) = coupl(nGC_MI)*dZnu_muR
      coupl(nGC_13006) = -coupl(nGC_12158)
      coupl(nGC_9828) = coupl(nGC_9826)*dcw_ + coupl(nGC_9827)*dsw_
      coupl(nGC_9822) = coupl(nGC_9820)*dcw_ + coupl(nGC_9821)*dsw_
      coupl(nGC_9825) = coupl(nGC_9823)*dcw_ + coupl(nGC_9824)*dsw_
      coupl(nGC_18204) = -coupl(nGC_9497)
      coupl(nGC_9647) = coupl(nGC_9646)*dyc_QED1
      coupl(nGC_12440) = coupl(nGC_38)*dZWMinus + coupl(nGC_38)*dZZ + coupl(   &
                         nGC_9711)
      coupl(nGC_12441) = coupl(nGC_37)*dZWMinus + coupl(nGC_37)*dZZ + coupl(   &
                         nGC_9714)
      coupl(nGC_12448) = coupl(nGC_81)*(dZcR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_12435) = coupl(nGC_108)*dZWMinus/2d0 + coupl(nGC_9903)
      coupl(nGC_12434) = coupl(nGC_108)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_12927) = coupl(nGC_129)*dZbR_QCD2/2d0 + coupl(nGC_129)*        &
                         dZtL_QCD2/2d0 + coupl(nGC_9609)
      coupl(nGC_12539) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZtauMinusL + &
                         coupl(nGC_9686)
      coupl(nGC_13829) = coupl(nGC_160)*dZH/2d0 + coupl(nGC_9638)
      coupl(nGC_12190) = coupl(nGC_58)*dZWpMinus/2d0 + coupl(nGC_58)*dZnu_tauL/&
                         2d0 + coupl(nGC_58)*dZtauMinusL/2d0 + coupl(nGC_9784)
      coupl(nGC_12743) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZmuMinusL +  &
                         coupl(nGC_9686)
      coupl(nGC_12742) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZmuMinusR +  &
                         coupl(nGC_9923)
      coupl(nGC_12211) = coupl(nGC_29)*dZZp/2d0 + coupl(nGC_29)*dZeMinusR/2d0  &
                          + coupl(nGC_29)*dZmuMinusR/2d0 + coupl(nGC_9834)
      coupl(nGC_12212) = coupl(nGC_20)*dZZp/2d0 + coupl(nGC_20)*dZeMinusL/2d0  &
                          + coupl(nGC_20)*dZmuMinusL/2d0 + coupl(nGC_9831)
      coupl(nGC_9417) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_110)**2d0 - coupl(nGC_129)**2d0 - coupl(nGC_130)*  &
                        coupl(nGC_877) - coupl(nGC_131)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9414) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_114)**2d0 - coupl(nGC_130)*coupl(nGC_877) - coupl( &
                        nGC_131)**2d0 - coupl(nGC_154)**2d0 - 4d0*coupl(nGC_42 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9415) = coupl(nGC_11)*sq2*(-coupl(nGC_18)**2d0 - coupl(nGC_19  &
                        )**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_64)**2d0 -     &
                        coupl(nGC_67)**2d0 - coupl(nGC_88)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_9412) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9798) = coupl(nGC_9796)*dcw_ + coupl(nGC_9797)*dsw_
      coupl(nGC_14839) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_14838) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_9795) = coupl(nGC_9793)*dcw_ + coupl(nGC_9794)*dsw_
      coupl(nGC_9418) = coupl(nGC_11)*sq2*(-coupl(nGC_27)**2d0 - coupl(nGC_28  &
                        )**2d0 - coupl(nGC_79)**2d0 - coupl(nGC_82)**2d0 -     &
                        coupl(nGC_85)**2d0 - coupl(nGC_97)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_9792) = coupl(nGC_9790)*dcw_ + coupl(nGC_9791)*dsw_
      coupl(nGC_9557) = coupl(nGC_9555)*dMZ2 + coupl(nGC_9556)*dsw_
      coupl(nGC_9554) = coupl(nGC_9552)*dMW2 + coupl(nGC_9553)*dsw_
      coupl(nGC_15113) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_9551) = coupl(nGC_9549)*dcw_ + coupl(nGC_9550)*dsw_
      coupl(nGC_15110) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_12328) = coupl(nGC_128)*dZH/2d0 + coupl(nGC_128)*dZZ + coupl(  &
                         nGC_9708)
      coupl(nGC_9899) = coupl(nGC_9898)*dsw_
      coupl(nGC_12288) = coupl(nGC_110)*dZdR_QCD2
      coupl(nGC_13617) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_9388) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9389) = coupl(nGC_11)**2d0*coupl(nGC_97)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9386) = coupl(nGC_11)**2d0*coupl(nGC_115)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_15728) = coupl(nGC_MI)*dZnu_eL
      coupl(nGC_12060) = coupl(nGC_162)*dZdL_QCD2/2d0 + coupl(nGC_162)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9570)
      coupl(nGC_9385) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9382) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12067) = coupl(nGC_47)*dZA/2d0 + coupl(nGC_47)*dZH/2d0 + coupl(&
                         nGC_47)*dZWMinus/2d0 + coupl(nGC_9658)
      coupl(nGC_9381) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12264) = coupl(nGC_51)*dZWpMinus/2d0 + coupl(nGC_51)*dZmuMinusL&
                         /2d0 + coupl(nGC_51)*dZnu_eL/2d0 + coupl(nGC_9756)
      coupl(nGC_12265) = coupl(nGC_69)*dZWpMinus/2d0 + coupl(nGC_69)*dZmuMinusR&
                         /2d0 + coupl(nGC_69)*dZnu_eR/2d0 + coupl(nGC_9758)
      coupl(nGC_14634) = coupl(nGC_110)*dZsR_QCD2
      coupl(nGC_14637) = coupl(nGC_114)*dZsL_QCD2
      coupl(nGC_9701) = coupl(nGC_9699)*dcw_ + coupl(nGC_9700)*dsw_
      coupl(nGC_9319) = cima*(-coupl(nGC_102)**2d0 - coupl(nGC_32)**2d0 - coupl&
                        (nGC_34)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)**2d0&
                         - coupl(nGC_82)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9311) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(   &
                        nGC_114))/(8d0*pi**2d0)
      coupl(nGC_9310) = cima*(-coupl(nGC_17)**2d0 - coupl(nGC_19)**2d0 - coupl(&
                        nGC_60)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_66)**2d0 &
                         - coupl(nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9313) = cima*(-coupl(nGC_26)**2d0 - coupl(nGC_28)**2d0 - coupl(&
                        nGC_78)**2d0 - coupl(nGC_81)**2d0 - coupl(nGC_84)**2d0 &
                         - coupl(nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9315) = cima*(-coupl(nGC_108)**2d0 - coupl(nGC_115)**2d0 -     &
                        coupl(nGC_2)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9314) = cima*(-cMB*coupl(nGC_64)*coupl(nGC_82) - cMC*coupl(    &
                        nGC_102)*coupl(nGC_93) - cMD*coupl(nGC_62)*coupl(nGC_80&
                        ) - cMS*coupl(nGC_63)*coupl(nGC_81) - cMT*coupl(nGC_25 &
                        )*coupl(nGC_34) - cMU*coupl(nGC_23)*coupl(nGC_32))/(8d0&
                        *pi**2d0)
      coupl(nGC_9317) = cMC*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_9316) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_25)**2d0 - coupl(&
                        nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_64)**2d0 &
                         - coupl(nGC_93)**2d0)/(16d0*pi**2d0)
      coupl(nGC_14080) = coupl(nGC_79)*dZWpMinus/2d0 + coupl(nGC_9726)
      coupl(nGC_9776) = coupl(nGC_9775)*dsw_
      coupl(nGC_9774) = coupl(nGC_9773)*dsw_
      coupl(nGC_13616) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_9772) = coupl(nGC_9771)*dsw_
      coupl(nGC_13615) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_9674) = coupl(nGC_9672)*dsw_ + coupl(nGC_9673)*dvev_QEDM1
      coupl(nGC_9891) = coupl(nGC_9889)*dcw_ + coupl(nGC_9890)*dsw_
      coupl(nGC_9897) = coupl(nGC_183)*dZgs_QCD2
      coupl(nGC_9778) = coupl(nGC_9777)*dsw_
      coupl(nGC_12568) = coupl(nGC_120)*dZH/2d0 + coupl(nGC_9561)
      coupl(nGC_16117) = coupl(nGC_MI)*dZWpMinus
      coupl(nGC_13044) = coupl(nGC_141)*dZdR_QCD2/2d0 + coupl(nGC_141)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9599)
      coupl(nGC_13043) = coupl(nGC_153)*dZdL_QCD2/2d0 + coupl(nGC_153)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9596)
      coupl(nGC_12314) = coupl(nGC_35)*dZH + coupl(nGC_35)*dZWMinus + coupl(   &
                         nGC_9671)
      coupl(nGC_12702) = coupl(nGC_148)*dZcL_QCD2/2d0 + coupl(nGC_148)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9590)
      coupl(nGC_12701) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9593)
      coupl(nGC_13388) = coupl(nGC_MI)*dZZp
      coupl(nGC_9513) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_603)**&
                        2d0 + 39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0&
                         - 3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_603)*sq2**2d0 + &
                        36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_9512) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_603) + 12d0*Nc*coupl(     &
                        nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(    &
                        nGC_10)**2d0*coupl(nGC_603)*sq2**2d0 + 18d0*cima*coupl(&
                        nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_9458) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_109)**2d0 - 4d0*coupl&
                        (nGC_115)**2d0 - coupl(nGC_136)**2d0 - coupl(nGC_160)**&
                        2d0 - coupl(nGC_161)*coupl(nGC_855) - 4d0*coupl(nGC_2  &
                        )**2d0 - 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9510) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_5165)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_12)*sq2**2d0 + 15d0*coupl(nGC_10)**2d0*coupl(      &
                        nGC_5165)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_603)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_9517) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_603) + 9d0*Nc*coupl(nGC_10&
                        )**2d0*coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**&
                        2d0*coupl(nGC_603)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**&
                        4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_9516) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_603) + 3d0*Nc*coupl(nGC_10&
                        )**2d0*coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**&
                        2d0*coupl(nGC_603)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**&
                        4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_9515) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 -   &
                        9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_5165) + 3d0*Nc*    &
                        coupl(nGC_10)**2d0*coupl(nGC_613) - 60d0*cima*coupl(   &
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9514) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 -   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_5165) + 9d0*Nc*    &
                        coupl(nGC_10)**2d0*coupl(nGC_613) - 60d0*cima*coupl(   &
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9452) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_110)**2d0 - coupl(nGC_148)**2d0 - coupl(nGC_149)*  &
                        coupl(nGC_305) - coupl(nGC_150)**2d0 - coupl(nGC_151)* &
                        coupl(nGC_153) - coupl(nGC_152)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9453) = coupl(nGC_11)*sq2*(-coupl(nGC_26)**2d0 - coupl(nGC_28  &
                        )**2d0 - coupl(nGC_78)**2d0 - coupl(nGC_81)**2d0 -     &
                        coupl(nGC_84)**2d0 - coupl(nGC_96)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_9450) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_109)**2d0 - 4d0*coupl(nGC_114)**2d0 - coupl(nGC_134&
                        )**2d0 - coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_140 &
                        )**2d0 - coupl(nGC_149)*coupl(nGC_305) - coupl(nGC_150 &
                        )**2d0 - coupl(nGC_163)**2d0 - 4d0*coupl(nGC_43)**2d0  &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_9451) = coupl(nGC_11)*sq2*(-coupl(nGC_17)**2d0 - coupl(nGC_19  &
                        )**2d0 - coupl(nGC_60)**2d0 - coupl(nGC_63)**2d0 -     &
                        coupl(nGC_66)**2d0 - coupl(nGC_87)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_9456) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_110)**2d0 + coupl(nGC_148)**2d0 + coupl(nGC_149)*  &
                        coupl(nGC_305) + coupl(nGC_150)**2d0 + coupl(nGC_151)* &
                        coupl(nGC_153) + coupl(nGC_152)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9457) = coupl(nGC_11)*sq2*(coupl(nGC_26)**2d0 + coupl(nGC_28)**&
                        2d0 + coupl(nGC_78)**2d0 + coupl(nGC_81)**2d0 + coupl( &
                        nGC_84)**2d0 + coupl(nGC_96)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9455) = coupl(nGC_11)*sq2*(coupl(nGC_17)**2d0 + coupl(nGC_19)**&
                        2d0 + coupl(nGC_60)**2d0 + coupl(nGC_63)**2d0 + coupl( &
                        nGC_66)**2d0 + coupl(nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12792) = coupl(nGC_115)*dZtL_QCD2
      coupl(nGC_12637) = coupl(nGC_126)*dZH/2d0 + coupl(nGC_126)*dZWMinus +    &
                         coupl(nGC_9674)
      coupl(nGC_9324) = cMU*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_12227) = coupl(nGC_31)*dZZp/2d0 + coupl(nGC_31)*dZmuMinusR/2d0 &
                          + coupl(nGC_31)*dZtauMinusR/2d0 + coupl(nGC_9852)
      coupl(nGC_9325) = cima*(-coupl(nGC_101)**2d0 - coupl(nGC_32)**2d0 - coupl&
                        (nGC_33)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)**2d0&
                         - coupl(nGC_79)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12381) = coupl(nGC_MI)*dZA
      coupl(nGC_12380) = coupl(nGC_43)*dZWMinus/2d0 + coupl(nGC_9899)
      coupl(nGC_12229) = coupl(nGC_11)*dZbL_QCD2
      coupl(nGC_9327) = coupl(nGC_11)**2d0*coupl(nGC_129)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9359) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_131) + cMC* &
                        coupl(nGC_132) + cMD*coupl(nGC_138) + cMS*coupl(nGC_150&
                        ) + cMT*coupl(nGC_155) + cMU*coupl(nGC_160))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_9358) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_131) - cMC*&
                        coupl(nGC_132) - cMD*coupl(nGC_138) - cMS*coupl(nGC_150&
                        ) - cMT*coupl(nGC_155) - cMU*coupl(nGC_160))/(16d0*pi**&
                        2d0)
      coupl(nGC_9429) = coupl(nGC_11)*sq2*(coupl(nGC_23)**2d0 + coupl(nGC_25)**&
                        2d0 + coupl(nGC_62)**2d0 + coupl(nGC_63)**2d0 + coupl( &
                        nGC_64)**2d0 + coupl(nGC_93)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9428) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_108)**2d0 + 4d0*coupl(&
                        nGC_115)**2d0 + coupl(nGC_132)**2d0 + coupl(nGC_133)*  &
                        coupl(nGC_291) + coupl(nGC_148)**2d0 + 4d0*coupl(nGC_2 &
                        )**2d0 + 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9427) = coupl(nGC_11)*sq2*(-coupl(nGC_102)**2d0 - coupl(nGC_32 &
                        )**2d0 - coupl(nGC_34)**2d0 - coupl(nGC_80)**2d0 -     &
                        coupl(nGC_81)**2d0 - coupl(nGC_82)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_9426) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_111)**2d0 - coupl(   &
                        nGC_132)**2d0 - coupl(nGC_133)*coupl(nGC_291) - coupl( &
                        nGC_134)**2d0 - coupl(nGC_135)**2d0 - 4d0*coupl(nGC_2  &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9357) = coupl(nGC_11)**2d0*coupl(nGC_150)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9424) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_108)**2d0 - 4d0*coupl&
                        (nGC_115)**2d0 - coupl(nGC_132)**2d0 - coupl(nGC_133)* &
                        coupl(nGC_291) - coupl(nGC_148)**2d0 - 4d0*coupl(nGC_2 &
                        )**2d0 - 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9423) = coupl(nGC_11)*sq2*(coupl(nGC_27)**2d0 + coupl(nGC_28)**&
                        2d0 + coupl(nGC_79)**2d0 + coupl(nGC_82)**2d0 + coupl( &
                        nGC_85)**2d0 + coupl(nGC_97)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9422) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_110)**2d0 + coupl(nGC_129)**2d0 + coupl(nGC_130)*  &
                        coupl(nGC_877) + coupl(nGC_131)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9353) = coupl(nGC_11)**2d0*coupl(nGC_132)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9352) = coupl(nGC_11)**2d0*coupl(nGC_131)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9322) = cima*(-coupl(nGC_109)**2d0 - coupl(nGC_115)**2d0 -     &
                        coupl(nGC_2)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9582) = coupl(nGC_9580)*dydo_QED1_QCD2
      coupl(nGC_9323) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_24)**2d0 - coupl(&
                        nGC_59)**2d0 - coupl(nGC_60)**2d0 - coupl(nGC_61)**2d0 &
                         - coupl(nGC_92)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9908) = coupl(nGC_9906)*dcw_ + coupl(nGC_9907)*dsw_
      coupl(nGC_14594) = coupl(nGC_9941) + coupl(nGC_MMW_GF)*dZWMinus/2d0
      coupl(nGC_12131) = coupl(nGC_145)*dZmuMinusR/2d0 + coupl(nGC_145)*       &
                         dZnu_muL/2d0 + coupl(nGC_9621)
      coupl(nGC_12136) = coupl(nGC_57)*dZWpMinus/2d0 + coupl(nGC_57)*dZmuMinusL&
                         /2d0 + coupl(nGC_57)*dZnu_tauL/2d0 + coupl(nGC_9780)
      coupl(nGC_12137) = coupl(nGC_75)*dZWpMinus/2d0 + coupl(nGC_75)*dZmuMinusR&
                         /2d0 + coupl(nGC_75)*dZnu_tauR/2d0 + coupl(nGC_9782)
      coupl(nGC_9632) = coupl(nGC_9631)*dyup_QED1
      coupl(nGC_9633) = coupl(nGC_9631)*dyup_QED1_QCD2
      coupl(nGC_9636) = coupl(nGC_9634)*dyup_QED1_QCD2
      coupl(nGC_9738) = coupl(nGC_9737)*dsw_
      coupl(nGC_9732) = coupl(nGC_9731)*dsw_
      coupl(nGC_9730) = coupl(nGC_9729)*dsw_
      coupl(nGC_9736) = coupl(nGC_9735)*dsw_
      coupl(nGC_14021) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_9565)
      coupl(nGC_14022) = 2d0*coupl(nGC_14021)
      coupl(nGC_9321) = cima*(-cMB*coupl(nGC_61)*coupl(nGC_79) - cMC*coupl(    &
                        nGC_23)*coupl(nGC_32) - cMD*coupl(nGC_59)*coupl(nGC_77 &
                        ) - cMS*coupl(nGC_60)*coupl(nGC_78) - cMT*coupl(nGC_24 &
                        )*coupl(nGC_33) - cMU*coupl(nGC_101)*coupl(nGC_92))/(  &
                        8d0*pi**2d0)
      coupl(nGC_12453) = coupl(nGC_81)*dZWpMinus/2d0 + coupl(nGC_9732)
      coupl(nGC_9294) = cima*(-coupl(nGC_26)**2d0 - coupl(nGC_27)**2d0 - coupl(&
                        nGC_77)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_83)**2d0 &
                         - coupl(nGC_95)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12451) = coupl(nGC_63)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_12985) = coupl(nGC_91)*dZZp/2d0 + coupl(nGC_91)*dZtauMinusL +  &
                         coupl(nGC_9855)
      coupl(nGC_12984) = coupl(nGC_100)*dZZp/2d0 + coupl(nGC_100)*dZtauMinusR  &
                          + coupl(nGC_9858)
      coupl(nGC_12454) = coupl(nGC_63)*dZWpMinus/2d0 + coupl(nGC_9734)
      coupl(nGC_13451) = coupl(nGC_33)*dZZp/2d0 + coupl(nGC_9873)
      coupl(nGC_12596) = coupl(nGC_12594) + coupl(nGC_9576)
      coupl(nGC_12595) = coupl(nGC_138)*dZH/2d0 + coupl(nGC_9575)
      coupl(nGC_9297) = cMT*cima*(-coupl(nGC_111)*coupl(nGC_115) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_9293) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_12910) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_eL +     &
                         coupl(nGC_9920)
      coupl(nGC_13421) = coupl(nGC_34)*dZZp/2d0 + coupl(nGC_9888)
      coupl(nGC_23082) = -2d0*coupl(nGC_14021)
      coupl(nGC_12771) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_9686)
      coupl(nGC_9463) = coupl(nGC_11)*sq2*(coupl(nGC_23)**2d0 + coupl(nGC_24)**&
                        2d0 + coupl(nGC_59)**2d0 + coupl(nGC_60)**2d0 + coupl( &
                        nGC_61)**2d0 + coupl(nGC_92)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9462) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_109)**2d0 + 4d0*coupl(&
                        nGC_115)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_160)** &
                        2d0 + coupl(nGC_161)*coupl(nGC_855) + 4d0*coupl(nGC_2  &
                        )**2d0 + 4d0*coupl(nGC_43)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9461) = coupl(nGC_11)*sq2*(-coupl(nGC_101)**2d0 - coupl(nGC_32 &
                        )**2d0 - coupl(nGC_33)**2d0 - coupl(nGC_77)**2d0 -     &
                        coupl(nGC_78)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_9460) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_111)**2d0 - coupl(   &
                        nGC_160)**2d0 - coupl(nGC_161)*coupl(nGC_855) - coupl( &
                        nGC_162)**2d0 - coupl(nGC_163)**2d0 - 4d0*coupl(nGC_2  &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9465) = coupl(nGC_11)*sq2*(coupl(nGC_101)**2d0 + coupl(nGC_32  &
                        )**2d0 + coupl(nGC_33)**2d0 + coupl(nGC_77)**2d0 +     &
                        coupl(nGC_78)**2d0 + coupl(nGC_79)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9464) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(    &
                        nGC_160)**2d0 + coupl(nGC_161)*coupl(nGC_855) + coupl( &
                        nGC_162)**2d0 + coupl(nGC_163)**2d0 + 4d0*coupl(nGC_2  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9786) = coupl(nGC_9785)*dsw_
      coupl(nGC_9548) = coupl(nGC_9545)*dMW2 + coupl(nGC_9546)*dcw_ + coupl(   &
                        nGC_9547)*dsw_
      coupl(nGC_9544) = coupl(nGC_9542)*dcw_ + coupl(nGC_9543)*dsw_
      coupl(nGC_9511) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*    &
                        coupl(nGC_5165)**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(  &
                        nGC_5165)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_613)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_9459) = coupl(nGC_11)*sq2*(-coupl(nGC_23)**2d0 - coupl(nGC_24  &
                        )**2d0 - coupl(nGC_59)**2d0 - coupl(nGC_60)**2d0 -     &
                        coupl(nGC_61)**2d0 - coupl(nGC_92)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_12291) = coupl(nGC_114)*dZdL_QCD2
      coupl(nGC_12359) = coupl(nGC_124)*dZH/2d0 + coupl(nGC_9527)
      coupl(nGC_12293) = coupl(nGC_114)*dZZ/2d0 + coupl(nGC_9917)
      coupl(nGC_12292) = coupl(nGC_110)*dZZ/2d0 + coupl(nGC_9914)
      coupl(nGC_12076) = coupl(nGC_35)*dZWMinus + coupl(nGC_9671)
      coupl(nGC_12279) = coupl(nGC_163)*dZsL_QCD2/2d0 + coupl(nGC_163)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9633)
      coupl(nGC_12271) = coupl(nGC_109)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12178) = -coupl(nGC_9644)
      coupl(nGC_9306) = cima*(-cMB*coupl(nGC_88)*coupl(nGC_97) - cMC*coupl(    &
                        nGC_64)*coupl(nGC_82) - cMD*coupl(nGC_18)*coupl(nGC_27 &
                        ) - cMS*coupl(nGC_19)*coupl(nGC_28) - cMT*coupl(nGC_67 &
                        )*coupl(nGC_85) - cMU*coupl(nGC_61)*coupl(nGC_79))/(8d0&
                        *pi**2d0)
      coupl(nGC_9304) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)*coupl(   &
                        nGC_114))/(8d0*pi**2d0)
      coupl(nGC_9302) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_114)**2d0 - coupl(&
                        nGC_42)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9308) = cima*(-cMB*coupl(nGC_19)*coupl(nGC_28) - cMC*coupl(    &
                        nGC_63)*coupl(nGC_81) - cMD*coupl(nGC_17)*coupl(nGC_26 &
                        ) - cMS*coupl(nGC_87)*coupl(nGC_96) - cMT*coupl(nGC_66 &
                        )*coupl(nGC_84) - cMU*coupl(nGC_60)*coupl(nGC_78))/(8d0&
                        *pi**2d0)
      coupl(nGC_9309) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_109)**2d0 - coupl(&
                        nGC_114)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12189) = coupl(nGC_76)*dZWpMinus/2d0 + coupl(nGC_76)*dZnu_tauR/&
                         2d0 + coupl(nGC_76)*dZtauMinusR/2d0 + coupl(nGC_9786)
      coupl(nGC_9454) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_109)**2d0 + 4d0*coupl(nGC_114)**2d0 + coupl(nGC_134&
                        )**2d0 + coupl(nGC_139)*coupl(nGC_141) + coupl(nGC_140 &
                        )**2d0 + coupl(nGC_149)*coupl(nGC_305) + coupl(nGC_150 &
                        )**2d0 + coupl(nGC_163)**2d0 + 4d0*coupl(nGC_43)**2d0  &
                        )/(64d0*pi**2d0)
      coupl(nGC_12014) = coupl(nGC_118)*dZA/2d0 + coupl(nGC_118)*dZZ/2d0 +     &
                         coupl(nGC_9680)
      coupl(nGC_15211) = coupl(nGC_MI)*dZtauMinusL
      coupl(nGC_15410) = -coupl(nGC_15409)
      coupl(nGC_9288) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_108)**2d0 - coupl(&
                        nGC_114)**2d0 - coupl(nGC_43)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9885) = coupl(nGC_9883)*dcw_ + coupl(nGC_9884)*dsw_
      coupl(nGC_16210) = -coupl(nGC_13654)
      coupl(nGC_12004) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_9897)
      coupl(nGC_12005) = coupl(nGC_12003) + coupl(nGC_12004)
      coupl(nGC_12006) = coupl(nGC_12000) + coupl(nGC_12004)
      coupl(nGC_13448) = coupl(nGC_33)*(dZtR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9289) = cima*(-coupl(nGC_17)**2d0 - coupl(nGC_18)**2d0 - coupl(&
                        nGC_59)**2d0 - coupl(nGC_62)**2d0 - coupl(nGC_65)**2d0 &
                         - coupl(nGC_86)**2d0)/(16d0*pi**2d0)
      coupl(nGC_13972) = coupl(nGC_150)*dZH/2d0 + coupl(nGC_9604)
      coupl(nGC_9766) = coupl(nGC_9765)*dsw_
      coupl(nGC_9760) = coupl(nGC_9759)*dsw_
      coupl(nGC_9762) = coupl(nGC_9761)*dsw_
      coupl(nGC_9605) = coupl(nGC_9603)*dys_QED1_QCD2
      coupl(nGC_12557) = coupl(nGC_140)*dZdR_QCD2/2d0 + coupl(nGC_140)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9585)
      coupl(nGC_14079) = coupl(nGC_61)*dZWpMinus/2d0 + coupl(nGC_9724)
      coupl(nGC_16854) = 3d0*coupl(nGC_125)*dZH/2d0 + coupl(nGC_9530)
      coupl(nGC_13418) = coupl(nGC_34)*(dZcR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_9843) = coupl(nGC_9841)*dcw_ + coupl(nGC_9842)*dsw_
      coupl(nGC_9384) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9846) = coupl(nGC_9844)*dcw_ + coupl(nGC_9845)*dsw_
      coupl(nGC_9849) = coupl(nGC_9847)*dcw_ + coupl(nGC_9848)*dsw_
      coupl(nGC_12954) = coupl(nGC_39)*dZH/2d0 + coupl(nGC_39)*dZWMinus/2d0 +  &
                         coupl(nGC_9669)
      coupl(nGC_12955) = coupl(nGC_MI)*dZWMinus
      coupl(nGC_12959) = -coupl(nGC_12955)
      coupl(nGC_12303) = coupl(nGC_93)*dZZp/2d0 + coupl(nGC_9882)
      coupl(nGC_12302) = coupl(nGC_102)*dZZp/2d0 + coupl(nGC_9879)
      coupl(nGC_13391) = coupl(nGC_9937) + coupl(nGC_MZp)*dZZp
      coupl(nGC_9500) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101   &
                        ) - coupl(nGC_102) - coupl(nGC_103) + coupl(nGC_86) +  &
                        coupl(nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl( &
                        nGC_93) + coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96 &
                        ) - coupl(nGC_97))/(128d0*pi**2d0)
      coupl(nGC_9501) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_101)**2d0  &
                         + coupl(nGC_102)**2d0 + coupl(nGC_103)**2d0 + 2d0*    &
                        coupl(nGC_17)**2d0 + 2d0*coupl(nGC_18)**2d0 + 2d0*coupl&
                        (nGC_19)**2d0 + 2d0*coupl(nGC_23)**2d0 + 2d0*coupl(    &
                        nGC_24)**2d0 + 2d0*coupl(nGC_25)**2d0 + 2d0*coupl(     &
                        nGC_26)**2d0 + 2d0*coupl(nGC_27)**2d0 + 2d0*coupl(     &
                        nGC_28)**2d0 + 2d0*coupl(nGC_32)**2d0 + 2d0*coupl(     &
                        nGC_33)**2d0 + 2d0*coupl(nGC_34)**2d0 + coupl(nGC_86)**&
                        2d0 + coupl(nGC_87)**2d0 + coupl(nGC_88)**2d0 + coupl( &
                        nGC_92)**2d0 + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0 &
                         + coupl(nGC_95)**2d0 + coupl(nGC_96)**2d0 + coupl(    &
                        nGC_97)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9502) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101)**2d0 &
                         - coupl(nGC_102)**2d0 - coupl(nGC_103)**2d0 - 2d0*    &
                        coupl(nGC_17)**2d0 - 2d0*coupl(nGC_18)**2d0 - 2d0*coupl&
                        (nGC_19)**2d0 - 2d0*coupl(nGC_23)**2d0 - 2d0*coupl(    &
                        nGC_24)**2d0 - 2d0*coupl(nGC_25)**2d0 - 2d0*coupl(     &
                        nGC_26)**2d0 - 2d0*coupl(nGC_27)**2d0 - 2d0*coupl(     &
                        nGC_28)**2d0 - 2d0*coupl(nGC_32)**2d0 - 2d0*coupl(     &
                        nGC_33)**2d0 - 2d0*coupl(nGC_34)**2d0 - coupl(nGC_86)**&
                        2d0 - coupl(nGC_87)**2d0 - coupl(nGC_88)**2d0 - coupl( &
                        nGC_92)**2d0 - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0 &
                         - coupl(nGC_95)**2d0 - coupl(nGC_96)**2d0 - coupl(    &
                        nGC_97)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_9503) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 -   &
                        3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_5165) + 3d0*Nc*    &
                        coupl(nGC_10)**2d0*coupl(nGC_613) - 30d0*cima*coupl(   &
                        nGC_11)**4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_9504) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*   &
                        cima*coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_603)**&
                        2d0 + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0&
                         - 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_603)*sq2**2d0  &
                         + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**  &
                        2d0)
      coupl(nGC_9505) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*   &
                        cima*coupl(nGC_12)*coupl(nGC_5165) + 12d0*Nc*cima*coupl&
                        (nGC_5165)*coupl(nGC_603) - 21d0*Nc*coupl(nGC_10)**2d0*&
                        coupl(nGC_12)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_5165)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0* &
                        coupl(nGC_603)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_613)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_9506) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima*&
                        coupl(nGC_12)*coupl(nGC_5165) + 3d0*Nc*cima*coupl(     &
                        nGC_5165)*coupl(nGC_603) - 6d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_5165)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_603)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0* &
                        sq2**4d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_9507) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima&
                        *coupl(nGC_12)*coupl(nGC_5165) + 6d0*Nc*cima*coupl(    &
                        nGC_5165)*coupl(nGC_603) - 9d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*    &
                        coupl(nGC_5165)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*  &
                        coupl(nGC_603)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*   &
                        coupl(nGC_613)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0* &
                        sq2**4d0)/(384d0*pi**2d0*Nc)
      coupl(nGC_9508) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*   &
                        coupl(nGC_5165)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(   &
                        nGC_12)*sq2**2d0 + 33d0*coupl(nGC_10)**2d0*coupl(      &
                        nGC_5165)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                        nGC_603)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(      &
                        nGC_613)*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_9509) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl&
                        (nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_603   &
                        ) + 3d0*cima*coupl(nGC_603)**2d0 + 9d0*coupl(nGC_10)** &
                        2d0*coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*   &
                        coupl(nGC_603)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_12789) = coupl(nGC_12786) + coupl(nGC_9618)
      coupl(nGC_12788) = -coupl(nGC_12786) - coupl(nGC_9618)
      coupl(nGC_13554) = coupl(nGC_13552) + coupl(nGC_9615)
      coupl(nGC_12234) = coupl(nGC_12004) + coupl(nGC_12229)
      coupl(nGC_12233) = coupl(nGC_12004) + coupl(nGC_12230)
      coupl(nGC_13322) = coupl(nGC_74)*dZWpMinus/2d0 + coupl(nGC_74)*dZeMinusR/&
                         2d0 + coupl(nGC_74)*dZnu_tauR/2d0 + coupl(nGC_9776)
      coupl(nGC_13321) = coupl(nGC_56)*dZWpMinus/2d0 + coupl(nGC_56)*dZeMinusL/&
                         2d0 + coupl(nGC_56)*dZnu_tauL/2d0 + coupl(nGC_9778)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
