!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-14 17:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(1566)%branchR2(0:1))
      call avR2(1566, 0, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_9476])

      call avR2(1566, 1, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_9477])

      allocate(vertices(682)%branchR2(0:0))
      call avR2(682, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9411, nGC_9410])

      allocate(vertices(1298)%branchR2(0:0))
      call avR2(1298, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9372, nGC_9373])

      allocate(vertices(1230)%branchR2(0:0))
      call avR2(1230, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_9365])

      allocate(vertices(1155)%branchR2(0:0))
      call avR2(1155, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9340, nGC_9341])

      allocate(vertices(1567)%branchR2(0:1))
      call avR2(1567, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      call avR2(1567, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9357, nGC_9357])

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9395, nGC_9394])

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_9363])

      allocate(vertices(1568)%branchR2(0:1))
      call avR2(1568, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1568, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(1076)%branchR2(0:0))
      call avR2(1076, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9407, nGC_9406])

      allocate(vertices(1170)%branchR2(0:0))
      call avR2(1170, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9393, nGC_9392])

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9353, nGC_9353])

      allocate(vertices(1569)%branchR2(0:1))
      call avR2(1569, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1569, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(238)%branchR2(0:0))
      call avR2(238, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(427)%branchR2(0:0))
      call avR2(427, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_9363])

      allocate(vertices(758)%branchR2(0:0))
      call avR2(758, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9350, nGC_9351])

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9411, nGC_9410])

      allocate(vertices(406)%branchR2(0:0))
      call avR2(406, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(1570)%branchR2(0:1))
      call avR2(1570, 0, 48, 1, 0, VSV0, 0, [2, 1, 0], [nGC_9359])

      call avR2(1570, 1, 47, 1, 0, VSV0, 0, [2, 1, 0], [nGC_9358])

      allocate(vertices(266)%branchR2(0:0))
      call avR2(266, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9342, nGC_9343])

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9352, nGC_9352])

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 17, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_9329])

      allocate(vertices(349)%branchR2(0:0))
      call avR2(349, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9332, nGC_9331])

      allocate(vertices(1320)%branchR2(0:0))
      call avR2(1320, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1524)%branchR2(0:2))
      call avR2(1524, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_9293, nGC_9288,    &
      nGC_9290, nGC_9290])

      call avR2(1524, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_9287, nGC_9287,    &
      nGC_9291, nGC_9291])

      call avR2(1524, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_9294, nGC_9289,    &
      nGC_9292, nGC_9292])

      allocate(vertices(558)%branchR2(0:0))
      call avR2(558, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1536)%branchR2(0:2))
      call avR2(1536, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_9293, nGC_9288,    &
      nGC_9290, nGC_9290])

      call avR2(1536, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_9287, nGC_9287,    &
      nGC_9291, nGC_9291])

      call avR2(1536, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_9294, nGC_9289,    &
      nGC_9292, nGC_9292])

      allocate(vertices(948)%branchR2(0:0))
      call avR2(948, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9356, nGC_9355])

      allocate(vertices(1571)%branchR2(0:1))
      call avR2(1571, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1571, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(768)%branchR2(0:0))
      call avR2(768, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9353, nGC_9353])

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9405, nGC_9404])

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 20, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_9329])

      allocate(vertices(1572)%branchR2(0:1))
      call avR2(1572, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      call avR2(1572, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_9363])

      allocate(vertices(1046)%branchR2(0:0))
      call avR2(1046, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(549)%branchR2(0:0))
      call avR2(549, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9333, nGC_9334])

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(535)%branchR2(0:0))
      call avR2(535, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_9363])

      allocate(vertices(501)%branchR2(0:0))
      call avR2(501, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9327, nGC_9328])

      allocate(vertices(1573)%branchR2(0:1))
      call avR2(1573, 0, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_9471])

      call avR2(1573, 1, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_9470])

      allocate(vertices(975)%branchR2(0:0))
      call avR2(975, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9403, nGC_9402])

      allocate(vertices(1574)%branchR2(0:1))
      call avR2(1574, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      call avR2(1574, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9342, nGC_9343])

      allocate(vertices(1107)%branchR2(0:0))
      call avR2(1107, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9391, nGC_9390])

      allocate(vertices(1575)%branchR2(0:1))
      call avR2(1575, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_9470])

      call avR2(1575, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_9471])

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 10, 1, 0, FFaS1, 0, [2, 1, 0], [nGC_9329])

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(1002)%branchR2(0:0))
      call avR2(1002, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9403, nGC_9402])

      allocate(vertices(1576)%branchR2(0:1))
      call avR2(1576, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9485, nGC_9485,   &
      nGC_9485])

      call avR2(1576, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9484, nGC_9484,   &
      nGC_9484])

      allocate(vertices(691)%branchR2(0:0))
      call avR2(691, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1577)%branchR2(0:1))
      call avR2(1577, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1577, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9342, nGC_9343])

      allocate(vertices(1578)%branchR2(0:1))
      call avR2(1578, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      call avR2(1578, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1579)%branchR2(0:1))
      call avR2(1579, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      call avR2(1579, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(20)%branchR2(0:0))
      call avR2(20, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(1580)%branchR2(0:1))
      call avR2(1580, 0, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9478, nGC_9478,   &
      nGC_9478])

      call avR2(1580, 1, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9479, nGC_9479,   &
      nGC_9479])

      allocate(vertices(1163)%branchR2(0:0))
      call avR2(1163, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9372, nGC_9373])

      allocate(vertices(563)%branchR2(0:5))
      call avR2(563, 0, 32, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(563, 1, 32, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_9422, nGC_9419])

      call avR2(563, 2, 32, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_9423, nGC_9420])

      call avR2(563, 3, 33, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(563, 4, 33, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_9417, nGC_9414])

      call avR2(563, 5, 33, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_9418, nGC_9415])

      allocate(vertices(1581)%branchR2(0:1))
      call avR2(1581, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1581, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9345, nGC_9344])

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9391, nGC_9390])

      allocate(vertices(1168)%branchR2(0:5))
      call avR2(1168, 0, 40, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(1168, 1, 40, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9438, nGC_9436])

      call avR2(1168, 2, 40, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9439, nGC_9437])

      call avR2(1168, 3, 41, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(1168, 4, 41, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9434, nGC_9432])

      call avR2(1168, 5, 41, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9435, nGC_9433])

      allocate(vertices(1065)%branchR2(0:0))
      call avR2(1065, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1258)%branchR2(0:5))
      call avR2(1258, 0, 40, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(1258, 1, 40, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9456, nGC_9454])

      call avR2(1258, 2, 40, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9457, nGC_9455])

      call avR2(1258, 3, 41, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(1258, 4, 41, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9452, nGC_9450])

      call avR2(1258, 5, 41, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9453, nGC_9451])

      allocate(vertices(384)%branchR2(0:0))
      call avR2(384, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9383, nGC_9382])

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9352, nGC_9352])

      allocate(vertices(1354)%branchR2(0:5))
      call avR2(1354, 0, 40, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(1354, 1, 40, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9447, nGC_9445])

      call avR2(1354, 2, 40, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9448, nGC_9446])

      call avR2(1354, 3, 41, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(1354, 4, 41, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9442, nGC_9440])

      call avR2(1354, 5, 41, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9443, nGC_9441])

      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9395, nGC_9394])

      allocate(vertices(1582)%branchR2(0:1))
      call avR2(1582, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      call avR2(1582, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      allocate(vertices(280)%branchR2(0:5))
      call avR2(280, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(280, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9456, nGC_9454])

      call avR2(280, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9457, nGC_9455])

      call avR2(280, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(280, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9452, nGC_9450])

      call avR2(280, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9453, nGC_9451])

      allocate(vertices(518)%branchR2(0:0))
      call avR2(518, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9332, nGC_9331])

      allocate(vertices(1509)%branchR2(0:2))
      call avR2(1509, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_9300, nGC_9322,    &
      nGC_9324, nGC_9324])

      call avR2(1509, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_9287, nGC_9287,    &
      nGC_9320, nGC_9320])

      call avR2(1509, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_9325, nGC_9323,    &
      nGC_9321, nGC_9321])

      allocate(vertices(1583)%branchR2(0:1))
      call avR2(1583, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_9470])

      call avR2(1583, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_9471])

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9401, nGC_9400])

      allocate(vertices(1584)%branchR2(0:1))
      call avR2(1584, 0, 57, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_9470])

      call avR2(1584, 1, 58, 1, 0, SVSV0, 0, [2, 2, 0], [nGC_9471])

      allocate(vertices(261)%branchR2(0:0))
      call avR2(261, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9356, nGC_9355])

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9377, nGC_9376])

      allocate(vertices(1585)%branchR2(0:1))
      call avR2(1585, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      call avR2(1585, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9395, nGC_9394])

      allocate(vertices(1586)%branchR2(0:5))
      call avR2(1586, 0, 85, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9489, nGC_9489,   &
      nGC_9489])

      call avR2(1586, 1, 84, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9489, nGC_9489,   &
      nGC_9489])

      call avR2(1586, 2, 87, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9490, nGC_9490,   &
      nGC_9490])

      call avR2(1586, 3, 88, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9488, nGC_9488,   &
      nGC_9488])

      call avR2(1586, 4, 86, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9489, nGC_9489,   &
      nGC_9489])

      call avR2(1586, 5, 83, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9488, nGC_9488,   &
      nGC_9488])

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9369, nGC_9368])

      allocate(vertices(588)%branchR2(0:0))
      call avR2(588, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9350, nGC_9351])

      allocate(vertices(1070)%branchR2(0:0))
      call avR2(1070, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(1587)%branchR2(0:5))
      call avR2(1587, 0, 76, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9488, nGC_9488,   &
      nGC_9488])

      call avR2(1587, 1, 73, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9489, nGC_9489,   &
      nGC_9489])

      call avR2(1587, 2, 71, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9488, nGC_9488,   &
      nGC_9488])

      call avR2(1587, 3, 72, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9489, nGC_9489,   &
      nGC_9489])

      call avR2(1587, 4, 75, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9490, nGC_9490,   &
      nGC_9490])

      call avR2(1587, 5, 74, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9489, nGC_9489,   &
      nGC_9489])

      allocate(vertices(477)%branchR2(0:0))
      call avR2(477, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(1588)%branchR2(0:1))
      call avR2(1588, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9502, nGC_9502,   &
      nGC_9502])

      call avR2(1588, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9501, nGC_9501,   &
      nGC_9501])

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9405, nGC_9404])

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(760)%branchR2(0:0))
      call avR2(760, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(1589)%branchR2(0:1))
      call avR2(1589, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_9475])

      call avR2(1589, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_9474])

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1164)%branchR2(0:0))
      call avR2(1164, 0, 17, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9328, nGC_9327])

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_9363])

      allocate(vertices(894)%branchR2(0:0))
      call avR2(894, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(1590)%branchR2(0:1))
      call avR2(1590, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      call avR2(1590, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(1591)%branchR2(0:1))
      call avR2(1591, 0, 64, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9492, nGC_9492,   &
      nGC_9492])

      call avR2(1591, 1, 63, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9491, nGC_9491,   &
      nGC_9491])

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(465)%branchR2(0:0))
      call avR2(465, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9395, nGC_9394])

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9405, nGC_9404])

      allocate(vertices(1592)%branchR2(0:5))
      call avR2(1592, 0, 70, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_9496, nGC_9496,   &
      nGC_9496, nGC_9500])

      call avR2(1592, 1, 67, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1592, 2, 66, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1592, 3, 69, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1592, 4, 68, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9499, nGC_9499,   &
      nGC_9499])

      call avR2(1592, 5, 65, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_9496, nGC_9496,   &
      nGC_9496, nGC_9497])

      allocate(vertices(1593)%branchR2(0:5))
      call avR2(1593, 0, 85, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1593, 1, 84, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1593, 2, 87, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9499, nGC_9499,   &
      nGC_9499])

      call avR2(1593, 3, 88, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_9496, nGC_9496,   &
      nGC_9496, nGC_18204])

      call avR2(1593, 4, 86, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1593, 5, 83, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_9496, nGC_9496,   &
      nGC_9496, nGC_18208])

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9372, nGC_9373])

      allocate(vertices(1594)%branchR2(0:1))
      call avR2(1594, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      call avR2(1594, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      allocate(vertices(1595)%branchR2(0:1))
      call avR2(1595, 0, 43, 1, 0, VVV1, 0, [2, 1, 1], [nGC_27255, 0, nGC_9408])

      call avR2(1595, 1, 44, 1, 0, VVV1, 0, [2, 1, 1], [nGC_27257, 0, nGC_9409])

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9355, nGC_9356])

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9411, nGC_9410])

      allocate(vertices(21)%branchR2(0:0))
      call avR2(21, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(1596)%branchR2(0:1))
      call avR2(1596, 0, 59, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9502, nGC_9502,   &
      nGC_9502])

      call avR2(1596, 1, 60, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9501, nGC_9501,   &
      nGC_9501])

      allocate(vertices(1449)%branchR2(0:0))
      call avR2(1449, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_9365])

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_9365])

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(404)%branchR2(0:5))
      call avR2(404, 0, 37, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(404, 1, 37, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9452, nGC_9450])

      call avR2(404, 2, 37, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9453, nGC_9451])

      call avR2(404, 3, 36, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(404, 4, 36, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9456, nGC_9454])

      call avR2(404, 5, 36, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9457, nGC_9455])

      allocate(vertices(1597)%branchR2(0:1))
      call avR2(1597, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9485, nGC_9485,   &
      nGC_9485])

      call avR2(1597, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9484, nGC_9484,   &
      nGC_9484])

      allocate(vertices(919)%branchR2(0:0))
      call avR2(919, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(1598)%branchR2(0:1))
      call avR2(1598, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9479, nGC_9479,   &
      nGC_9479])

      call avR2(1598, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9478, nGC_9478,   &
      nGC_9478])

      allocate(vertices(1599)%branchR2(0:1))
      call avR2(1599, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      call avR2(1599, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 21, 1, 0, SFFa1, 0, [2, 1, 0], [nGC_9329])

      allocate(vertices(1121)%branchR2(0:0))
      call avR2(1121, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9367, nGC_9366])

      allocate(vertices(288)%branchR2(0:0))
      call avR2(288, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9389, nGC_9388])

      allocate(vertices(1437)%branchR2(0:0))
      call avR2(1437, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9361, nGC_9361])

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9377, nGC_9376])

      allocate(vertices(544)%branchR2(0:23))
      call avR2(544, 0, 94, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9508, nGC_9509,    &
      nGC_9508])

      call avR2(544, 1, 91, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9509, nGC_9508,    &
      nGC_9508])

      call avR2(544, 2, 9, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9512, nGC_9514,     &
      nGC_9513])

      call avR2(544, 3, 104, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9518, nGC_9518,   &
      nGC_9518])

      call avR2(544, 4, 5, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9504, nGC_9504,     &
      nGC_9503])

      call avR2(544, 5, 100, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9518, nGC_9518,   &
      nGC_9518])

      call avR2(544, 6, 97, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9506, nGC_9507,    &
      nGC_9505])

      call avR2(544, 7, 90, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9506, nGC_9505,    &
      nGC_9507])

      call avR2(544, 8, 103, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9519, nGC_9519,   &
      nGC_9519])

      call avR2(544, 9, 8, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9515, nGC_9517,     &
      nGC_9516])

      call avR2(544, 10, 93, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9510, nGC_9511,   &
      nGC_9509])

      call avR2(544, 11, 106, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9518, nGC_9518,  &
      nGC_9518])

      call avR2(544, 12, 4, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9504, nGC_9504,    &
      nGC_9503])

      call avR2(544, 13, 96, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9505, nGC_9507,   &
      nGC_9506])

      call avR2(544, 14, 7, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9512, nGC_9514,    &
      nGC_9513])

      call avR2(544, 15, 102, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9518, nGC_9518,  &
      nGC_9518])

      call avR2(544, 16, 99, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9505, nGC_9505,   &
      nGC_9505])

      call avR2(544, 17, 92, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9506, nGC_9507,   &
      nGC_9505])

      call avR2(544, 18, 89, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9505, nGC_9505,   &
      nGC_9505])

      call avR2(544, 19, 95, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9505, nGC_9507,   &
      nGC_9506])

      call avR2(544, 20, 105, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9518, nGC_9518,  &
      nGC_9518])

      call avR2(544, 21, 6, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9515, nGC_9517,    &
      nGC_9516])

      call avR2(544, 22, 98, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9506, nGC_9505,   &
      nGC_9507])

      call avR2(544, 23, 101, 1, 0, VVVV0, 0, [4, 0, 0], [nGC_9518, nGC_9518,  &
      nGC_9518])

      allocate(vertices(52)%branchR2(0:0))
      call avR2(52, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(648)%branchR2(0:0))
      call avR2(648, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9348, nGC_9349])

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9340, nGC_9341])

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9348, nGC_9349])

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9411, nGC_9410])

      allocate(vertices(639)%branchR2(0:0))
      call avR2(639, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(1493)%branchR2(0:0))
      call avR2(1493, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 10, 1, 0, FFaS1, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(59)%branchR2(0:0))
      call avR2(59, 0, 21, 1, 0, SFFa1, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9413, nGC_9412])

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9328, nGC_9327])

      allocate(vertices(507)%branchR2(0:0))
      call avR2(507, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9336, nGC_9337])

      allocate(vertices(613)%branchR2(0:0))
      call avR2(613, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(1600)%branchR2(0:1))
      call avR2(1600, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9478, nGC_9478,   &
      nGC_9478])

      call avR2(1600, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9479, nGC_9479,   &
      nGC_9479])

      allocate(vertices(1400)%branchR2(0:0))
      call avR2(1400, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9355, nGC_9356])

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9391, nGC_9390])

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(1601)%branchR2(0:1))
      call avR2(1601, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9479, nGC_9479,   &
      nGC_9479])

      call avR2(1601, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9478, nGC_9478,   &
      nGC_9478])

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9413, nGC_9412])

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9372, nGC_9373])

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_9365])

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(1507)%branchR2(0:2))
      call avR2(1507, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_9293, nGC_9302,    &
      nGC_9304, nGC_9304])

      call avR2(1507, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_9287, nGC_9287,    &
      nGC_9305, nGC_9305])

      call avR2(1507, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_9307, nGC_9303,    &
      nGC_9306, nGC_9306])

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9329])

      allocate(vertices(1032)%branchR2(0:0))
      call avR2(1032, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9403, nGC_9402])

      allocate(vertices(1285)%branchR2(0:5))
      call avR2(1285, 0, 38, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(1285, 1, 38, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_9464, nGC_9462])

      call avR2(1285, 2, 38, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_9465, nGC_9463])

      call avR2(1285, 3, 39, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(1285, 4, 39, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_9460, nGC_9458])

      call avR2(1285, 5, 39, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_9461, nGC_9459])

      allocate(vertices(1412)%branchR2(0:0))
      call avR2(1412, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_9365])

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1453)%branchR2(0:0))
      call avR2(1453, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1376)%branchR2(0:0))
      call avR2(1376, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9389, nGC_9388])

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9336, nGC_9337])

      allocate(vertices(1602)%branchR2(0:1))
      call avR2(1602, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      call avR2(1602, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_9365])

      allocate(vertices(468)%branchR2(0:0))
      call avR2(468, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9369, nGC_9368])

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9353, nGC_9353])

      allocate(vertices(1603)%branchR2(0:1))
      call avR2(1603, 0, 59, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_9470])

      call avR2(1603, 1, 60, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_9471])

      allocate(vertices(1173)%branchR2(0:0))
      call avR2(1173, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1345)%branchR2(0:0))
      call avR2(1345, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9342, nGC_9343])

      allocate(vertices(1604)%branchR2(0:1))
      call avR2(1604, 0, 59, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9491, nGC_9491,   &
      nGC_9491])

      call avR2(1604, 1, 60, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9492, nGC_9492,   &
      nGC_9492])

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9328, nGC_9327])

      allocate(vertices(452)%branchR2(0:0))
      call avR2(452, 0, 17, 1, 0, FaSF1, 0, [2, 1, 0], [nGC_9329])

      allocate(vertices(451)%branchR2(0:0))
      call avR2(451, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(785)%branchR2(0:0))
      call avR2(785, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9340, nGC_9341])

      allocate(vertices(1605)%branchR2(0:5))
      call avR2(1605, 0, 77, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9488, nGC_9488,   &
      nGC_9488])

      call avR2(1605, 1, 81, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9490, nGC_9490,   &
      nGC_9490])

      call avR2(1605, 2, 79, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9489, nGC_9489,   &
      nGC_9489])

      call avR2(1605, 3, 80, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9489, nGC_9489,   &
      nGC_9489])

      call avR2(1605, 4, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9489, nGC_9489,   &
      nGC_9489])

      call avR2(1605, 5, 82, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9488, nGC_9488,   &
      nGC_9488])

      allocate(vertices(703)%branchR2(0:0))
      call avR2(703, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9334, nGC_9333])

      allocate(vertices(1606)%branchR2(0:1))
      call avR2(1606, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      call avR2(1606, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      allocate(vertices(886)%branchR2(0:0))
      call avR2(886, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9407, nGC_9406])

      allocate(vertices(1607)%branchR2(0:1))
      call avR2(1607, 0, 61, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9491, nGC_9491,   &
      nGC_9491])

      call avR2(1607, 1, 62, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9492, nGC_9492,   &
      nGC_9492])

      allocate(vertices(243)%branchR2(0:0))
      call avR2(243, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9333, nGC_9334])

      allocate(vertices(717)%branchR2(0:0))
      call avR2(717, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9360, nGC_9360])

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(1270)%branchR2(0:0))
      call avR2(1270, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9397, nGC_9396])

      allocate(vertices(1608)%branchR2(0:1))
      call avR2(1608, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9491, nGC_9491,   &
      nGC_9491])

      call avR2(1608, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9492, nGC_9492,   &
      nGC_9492])

      allocate(vertices(1491)%branchR2(0:0))
      call avR2(1491, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9361, nGC_9361])

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9356, nGC_9355])

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9360, nGC_9360])

      allocate(vertices(135)%branchR2(0:0))
      call avR2(135, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1609)%branchR2(0:1))
      call avR2(1609, 0, 64, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9501, nGC_9501,   &
      nGC_9501])

      call avR2(1609, 1, 63, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9502, nGC_9502,   &
      nGC_9502])

      allocate(vertices(380)%branchR2(0:0))
      call avR2(380, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_9363])

      allocate(vertices(1271)%branchR2(0:0))
      call avR2(1271, 0, 17, 1, 0, FaSF2, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(1462)%branchR2(0:0))
      call avR2(1462, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9377, nGC_9376])

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(1610)%branchR2(0:1))
      call avR2(1610, 0, 61, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9502, nGC_9502,   &
      nGC_9502])

      call avR2(1610, 1, 62, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9501, nGC_9501,   &
      nGC_9501])

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1425)%branchR2(0:0))
      call avR2(1425, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9397, nGC_9396])

      allocate(vertices(1169)%branchR2(0:0))
      call avR2(1169, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(1312)%branchR2(0:5))
      call avR2(1312, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(1312, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9438, nGC_9436])

      call avR2(1312, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9439, nGC_9437])

      call avR2(1312, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(1312, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9434, nGC_9432])

      call avR2(1312, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9435, nGC_9433])

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9355, nGC_9356])

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(906)%branchR2(0:0))
      call avR2(906, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 18, 1, 0, FaFS0, 0, [2, 1, 0], [nGC_9329])

      allocate(vertices(1611)%branchR2(0:1))
      call avR2(1611, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9479, nGC_9479,   &
      nGC_9479])

      call avR2(1611, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9478, nGC_9478,   &
      nGC_9478])

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(115)%branchR2(0:5))
      call avR2(115, 0, 35, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(115, 1, 35, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_9452, nGC_9450])

      call avR2(115, 2, 35, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_9453, nGC_9451])

      call avR2(115, 3, 34, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(115, 4, 34, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_9456, nGC_9454])

      call avR2(115, 5, 34, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_9457, nGC_9455])

      allocate(vertices(505)%branchR2(0:0))
      call avR2(505, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9411, nGC_9410])

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9333, nGC_9334])

      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9340, nGC_9341])

      allocate(vertices(18)%branchR2(0:5))
      call avR2(18, 0, 37, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(18, 1, 37, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9434, nGC_9432])

      call avR2(18, 2, 37, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9435, nGC_9433])

      call avR2(18, 3, 36, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(18, 4, 36, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9438, nGC_9436])

      call avR2(18, 5, 36, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9439, nGC_9437])

      allocate(vertices(1013)%branchR2(0:5))
      call avR2(1013, 0, 38, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(1013, 1, 38, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_9430, nGC_9428])

      call avR2(1013, 2, 38, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_9431, nGC_9429])

      call avR2(1013, 3, 39, 1, 0, VFaF0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(1013, 4, 39, 1, 0, VFaF0, 0, [1, 2, 0], [nGC_9426, nGC_9424])

      call avR2(1013, 5, 39, 1, 0, VFaF0, 0, [1, 2, 2], [nGC_9427, nGC_9425])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(286)%branchR2(0:5))
      call avR2(286, 0, 35, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(286, 1, 35, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_9426, nGC_9424])

      call avR2(286, 2, 35, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_9427, nGC_9425])

      call avR2(286, 3, 34, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(286, 4, 34, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_9430, nGC_9428])

      call avR2(286, 5, 34, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_9431, nGC_9429])

      allocate(vertices(1612)%branchR2(0:1))
      call avR2(1612, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_9475])

      call avR2(1612, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_9474])

      allocate(vertices(87)%branchR2(0:5))
      call avR2(87, 0, 37, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(87, 1, 37, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9426, nGC_9424])

      call avR2(87, 2, 37, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9427, nGC_9425])

      call avR2(87, 3, 36, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(87, 4, 36, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9430, nGC_9428])

      call avR2(87, 5, 36, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9431, nGC_9429])

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9334, nGC_9333])

      allocate(vertices(1613)%branchR2(0:1))
      call avR2(1613, 0, 43, 1, 0, SVV0, 0, [2, 1, 0], [nGC_9358])

      call avR2(1613, 1, 44, 1, 0, SVV0, 0, [2, 1, 0], [nGC_9359])

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1614)%branchR2(0:1))
      call avR2(1614, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      call avR2(1614, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(743)%branchR2(0:0))
      call avR2(743, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9413, nGC_9412])

      allocate(vertices(1188)%branchR2(0:0))
      call avR2(1188, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1615)%branchR2(0:1))
      call avR2(1615, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      call avR2(1615, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9377, nGC_9376])

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9391, nGC_9390])

      allocate(vertices(1616)%branchR2(0:1))
      call avR2(1616, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      call avR2(1616, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9391, nGC_9390])

      allocate(vertices(117)%branchR2(0:0))
      call avR2(117, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1617)%branchR2(0:1))
      call avR2(1617, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9483, nGC_9483,   &
      nGC_9483])

      call avR2(1617, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9482, nGC_9482,   &
      nGC_9482])

      allocate(vertices(1)%branchR2(0:5))
      call avR2(1, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(1, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9447, nGC_9445])

      call avR2(1, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9448, nGC_9446])

      call avR2(1, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(1, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9442, nGC_9440])

      call avR2(1, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9443, nGC_9441])

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9360, nGC_9360])

      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9393, nGC_9392])

      allocate(vertices(334)%branchR2(0:5))
      call avR2(334, 0, 32, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(334, 1, 32, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_9464, nGC_9462])

      call avR2(334, 2, 32, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_9465, nGC_9463])

      call avR2(334, 3, 33, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(334, 4, 33, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_9460, nGC_9458])

      call avR2(334, 5, 33, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_9461, nGC_9459])

      allocate(vertices(1050)%branchR2(0:0))
      call avR2(1050, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9332, nGC_9331])

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9391, nGC_9390])

      allocate(vertices(1618)%branchR2(0:1))
      call avR2(1618, 0, 45, 1, 0, VVS0, 0, [2, 1, 0], [nGC_9358])

      call avR2(1618, 1, 46, 1, 0, VVS0, 0, [2, 1, 0], [nGC_9359])

      allocate(vertices(1619)%branchR2(0:1))
      call avR2(1619, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_9477])

      call avR2(1619, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_9476])

      allocate(vertices(1620)%branchR2(0:1))
      call avR2(1620, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1620, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(1461)%branchR2(0:0))
      call avR2(1461, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9356, nGC_9355])

      allocate(vertices(1621)%branchR2(0:1))
      call avR2(1621, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1621, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(833)%branchR2(0:0))
      call avR2(833, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9397, nGC_9396])

      allocate(vertices(299)%branchR2(0:5))
      call avR2(299, 0, 32, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(299, 1, 32, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_9447, nGC_9445])

      call avR2(299, 2, 32, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_9448, nGC_9446])

      call avR2(299, 3, 33, 1, 0, FaFV0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(299, 4, 33, 1, 0, FaFV0, 0, [1, 2, 0], [nGC_9442, nGC_9440])

      call avR2(299, 5, 33, 1, 0, FaFV0, 0, [1, 2, 2], [nGC_9443, nGC_9441])

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1622)%branchR2(0:1))
      call avR2(1622, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      call avR2(1622, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9389, nGC_9388])

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9350, nGC_9351])

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9336, nGC_9337])

      allocate(vertices(1448)%branchR2(0:0))
      call avR2(1448, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9411, nGC_9410])

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9357, nGC_9357])

      allocate(vertices(1520)%branchR2(0:2))
      call avR2(1520, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_9293, nGC_9309,    &
      nGC_9311, nGC_9311])

      call avR2(1520, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_9287, nGC_9287,    &
      nGC_9312, nGC_9312])

      call avR2(1520, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_9313, nGC_9310,    &
      nGC_9308, nGC_9308])

      allocate(vertices(1623)%branchR2(0:1))
      call avR2(1623, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9483, nGC_9483,   &
      nGC_9483])

      call avR2(1623, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9482, nGC_9482,   &
      nGC_9482])

      allocate(vertices(417)%branchR2(0:0))
      call avR2(417, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(650)%branchR2(0:5))
      call avR2(650, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(650, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9430, nGC_9428])

      call avR2(650, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9431, nGC_9429])

      call avR2(650, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(650, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9426, nGC_9424])

      call avR2(650, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9427, nGC_9425])

      allocate(vertices(1399)%branchR2(0:0))
      call avR2(1399, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9356, nGC_9355])

      allocate(vertices(788)%branchR2(0:5))
      call avR2(788, 0, 37, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(788, 1, 37, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9460, nGC_9458])

      call avR2(788, 2, 37, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9461, nGC_9459])

      call avR2(788, 3, 36, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(788, 4, 36, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9464, nGC_9462])

      call avR2(788, 5, 36, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9465, nGC_9463])

      allocate(vertices(1516)%branchR2(0:2))
      call avR2(1516, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_9300, nGC_9322,    &
      nGC_9324, nGC_9324])

      call avR2(1516, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_9287, nGC_9287,    &
      nGC_9320, nGC_9320])

      call avR2(1516, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_9325, nGC_9323,    &
      nGC_9321, nGC_9321])

      allocate(vertices(796)%branchR2(0:0))
      call avR2(796, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1374)%branchR2(0:5))
      call avR2(1374, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(1374, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9422, nGC_9419])

      call avR2(1374, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9423, nGC_9420])

      call avR2(1374, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(1374, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9417, nGC_9414])

      call avR2(1374, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9418, nGC_9415])

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(1069)%branchR2(0:0))
      call avR2(1069, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9401, nGC_9400])

      allocate(vertices(920)%branchR2(0:0))
      call avR2(920, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(1624)%branchR2(0:1))
      call avR2(1624, 0, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      call avR2(1624, 1, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      allocate(vertices(166)%branchR2(0:0))
      call avR2(166, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9331, nGC_9332])

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9331, nGC_9332])

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1398)%branchR2(0:0))
      call avR2(1398, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9346, nGC_9347])

      allocate(vertices(1115)%branchR2(0:0))
      call avR2(1115, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9327, nGC_9328])

      allocate(vertices(1625)%branchR2(0:1))
      call avR2(1625, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      call avR2(1625, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      allocate(vertices(1626)%branchR2(0:1))
      call avR2(1626, 0, 56, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9492, nGC_9492,   &
      nGC_9492])

      call avR2(1626, 1, 55, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9491, nGC_9491,   &
      nGC_9491])

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(604)%branchR2(0:0))
      call avR2(604, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9372, nGC_9373])

      allocate(vertices(878)%branchR2(0:5))
      call avR2(878, 0, 35, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(878, 1, 35, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_9460, nGC_9458])

      call avR2(878, 2, 35, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_9461, nGC_9459])

      call avR2(878, 3, 34, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(878, 4, 34, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_9464, nGC_9462])

      call avR2(878, 5, 34, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_9465, nGC_9463])

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9369, nGC_9368])

      allocate(vertices(54)%branchR2(0:0))
      call avR2(54, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1328)%branchR2(0:0))
      call avR2(1328, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(536)%branchR2(0:0))
      call avR2(536, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(478)%branchR2(0:5))
      call avR2(478, 0, 35, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(478, 1, 35, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_9417, nGC_9414])

      call avR2(478, 2, 35, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_9418, nGC_9415])

      call avR2(478, 3, 34, 1, 0, FaVF0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(478, 4, 34, 1, 0, FaVF0, 0, [1, 2, 0], [nGC_9422, nGC_9419])

      call avR2(478, 5, 34, 1, 0, FaVF0, 0, [1, 2, 2], [nGC_9423, nGC_9420])

      allocate(vertices(1232)%branchR2(0:0))
      call avR2(1232, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9395, nGC_9394])

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9413, nGC_9412])

      allocate(vertices(325)%branchR2(0:0))
      call avR2(325, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(228)%branchR2(0:0))
      call avR2(228, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(728)%branchR2(0:0))
      call avR2(728, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9403, nGC_9402])

      allocate(vertices(1388)%branchR2(0:0))
      call avR2(1388, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9411, nGC_9410])

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9361, nGC_9361])

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9389, nGC_9388])

      allocate(vertices(579)%branchR2(0:0))
      call avR2(579, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9405, nGC_9404])

      allocate(vertices(1627)%branchR2(0:1))
      call avR2(1627, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1627, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9334, nGC_9333])

      allocate(vertices(1628)%branchR2(0:1))
      call avR2(1628, 0, 56, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9501, nGC_9501,   &
      nGC_9501])

      call avR2(1628, 1, 55, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9502, nGC_9502,   &
      nGC_9502])

      allocate(vertices(550)%branchR2(0:0))
      call avR2(550, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9345, nGC_9344])

      allocate(vertices(1369)%branchR2(0:5))
      call avR2(1369, 0, 40, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(1369, 1, 40, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9430, nGC_9428])

      call avR2(1369, 2, 40, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9431, nGC_9429])

      call avR2(1369, 3, 41, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(1369, 4, 41, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9426, nGC_9424])

      call avR2(1369, 5, 41, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9427, nGC_9425])

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9383, nGC_9382])

      allocate(vertices(121)%branchR2(0:0))
      call avR2(121, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9350, nGC_9351])

      allocate(vertices(32)%branchR2(0:0))
      call avR2(32, 0, 21, 1, 0, SFFa0, 0, [2, 1, 0], [nGC_9329])

      allocate(vertices(525)%branchR2(0:0))
      call avR2(525, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1629)%branchR2(0:1))
      call avR2(1629, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      call avR2(1629, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1630)%branchR2(0:1))
      call avR2(1630, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      call avR2(1630, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9369, nGC_9368])

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9395, nGC_9394])

      allocate(vertices(190)%branchR2(0:0))
      call avR2(190, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9348, nGC_9349])

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9354, nGC_9354])

      allocate(vertices(547)%branchR2(0:0))
      call avR2(547, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_9365])

      allocate(vertices(1631)%branchR2(0:1))
      call avR2(1631, 0, 57, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      call avR2(1631, 1, 58, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 18, 1, 0, FaFS2, 0, [2, 1, 0], [nGC_9329])

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1632)%branchR2(0:1))
      call avR2(1632, 0, 56, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_9474])

      call avR2(1632, 1, 55, 1, 0, SVVS0, 0, [2, 2, 0], [nGC_9475])

      allocate(vertices(1633)%branchR2(0:5))
      call avR2(1633, 0, 76, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_9496, nGC_9496,   &
      nGC_9496, nGC_18204])

      call avR2(1633, 1, 73, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1633, 2, 71, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_9496, nGC_9496,   &
      nGC_9496, nGC_18208])

      call avR2(1633, 3, 72, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1633, 4, 75, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9499, nGC_9499,   &
      nGC_9499])

      call avR2(1633, 5, 74, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1634)%branchR2(0:1))
      call avR2(1634, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9483, nGC_9483,   &
      nGC_9483])

      call avR2(1634, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9482, nGC_9482,   &
      nGC_9482])

      allocate(vertices(1318)%branchR2(0:0))
      call avR2(1318, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9338, nGC_9339])

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9332, nGC_9331])

      allocate(vertices(63)%branchR2(0:0))
      call avR2(63, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(1368)%branchR2(0:0))
      call avR2(1368, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9327, nGC_9328])

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9367, nGC_9366])

      allocate(vertices(343)%branchR2(0:0))
      call avR2(343, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(1165)%branchR2(0:0))
      call avR2(1165, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(653)%branchR2(0:0))
      call avR2(653, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(1635)%branchR2(0:1))
      call avR2(1635, 0, 59, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_9470])

      call avR2(1635, 1, 60, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_9471])

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9354, nGC_9354])

      allocate(vertices(1636)%branchR2(0:1))
      call avR2(1636, 0, 59, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      call avR2(1636, 1, 60, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      allocate(vertices(107)%branchR2(0:0))
      call avR2(107, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9369, nGC_9368])

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9327, nGC_9328])

      allocate(vertices(416)%branchR2(0:0))
      call avR2(416, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9377, nGC_9376])

      allocate(vertices(1637)%branchR2(0:1))
      call avR2(1637, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      call avR2(1637, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9411, nGC_9410])

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9367, nGC_9366])

      allocate(vertices(740)%branchR2(0:0))
      call avR2(740, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1250)%branchR2(0:0))
      call avR2(1250, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9372, nGC_9373])

      allocate(vertices(423)%branchR2(0:0))
      call avR2(423, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(860)%branchR2(0:5))
      call avR2(860, 0, 40, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(860, 1, 40, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9464, nGC_9462])

      call avR2(860, 2, 40, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9465, nGC_9463])

      call avR2(860, 3, 41, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(860, 4, 41, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9460, nGC_9458])

      call avR2(860, 5, 41, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9461, nGC_9459])

      allocate(vertices(1638)%branchR2(0:1))
      call avR2(1638, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9483, nGC_9483,   &
      nGC_9483])

      call avR2(1638, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9482, nGC_9482,   &
      nGC_9482])

      allocate(vertices(1327)%branchR2(0:0))
      call avR2(1327, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9327, nGC_9328])

      allocate(vertices(1639)%branchR2(0:1))
      call avR2(1639, 0, 53, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9491, nGC_9491,   &
      nGC_9491])

      call avR2(1639, 1, 54, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9492, nGC_9492,   &
      nGC_9492])

      allocate(vertices(581)%branchR2(0:0))
      call avR2(581, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9357, nGC_9357])

      allocate(vertices(1640)%branchR2(0:1))
      call avR2(1640, 0, 57, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9502, nGC_9502,   &
      nGC_9502])

      call avR2(1640, 1, 58, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9501, nGC_9501,   &
      nGC_9501])

      allocate(vertices(980)%branchR2(0:0))
      call avR2(980, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9338, nGC_9339])

      allocate(vertices(853)%branchR2(0:0))
      call avR2(853, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(1641)%branchR2(0:1))
      call avR2(1641, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1641, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(1463)%branchR2(0:0))
      call avR2(1463, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(1642)%branchR2(0:1))
      call avR2(1642, 0, 61, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_9470])

      call avR2(1642, 1, 62, 1, 0, VSSV0, 0, [2, 2, 0], [nGC_9471])

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(1643)%branchR2(0:5))
      call avR2(1643, 0, 77, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_9496, nGC_9496,   &
      nGC_9496, nGC_9500])

      call avR2(1643, 1, 81, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9499, nGC_9499,   &
      nGC_9499])

      call avR2(1643, 2, 79, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1643, 3, 80, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1643, 4, 78, 1, 0, VVVV0, 0, [3, 1, 1], [nGC_9498, nGC_9498,   &
      nGC_9498])

      call avR2(1643, 5, 82, 1, 0, VVVV1, 0, [3, 1, 1], [nGC_9496, nGC_9496,   &
      nGC_9496, nGC_9497])

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9482, nGC_9482,   &
      nGC_9482])

      call avR2(1644, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9483, nGC_9483,   &
      nGC_9483])

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_9363])

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9333, nGC_9334])

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 18, 1, 0, FaFS2, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(1645)%branchR2(0:1))
      call avR2(1645, 0, 61, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9479, nGC_9479,   &
      nGC_9479])

      call avR2(1645, 1, 62, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9478, nGC_9478,   &
      nGC_9478])

      allocate(vertices(1249)%branchR2(0:0))
      call avR2(1249, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(634)%branchR2(0:0))
      call avR2(634, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9356, nGC_9355])

      allocate(vertices(1646)%branchR2(0:1))
      call avR2(1646, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      call avR2(1646, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1459)%branchR2(0:0))
      call avR2(1459, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9334, nGC_9333])

      allocate(vertices(1647)%branchR2(0:1))
      call avR2(1647, 0, 64, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_9474])

      call avR2(1647, 1, 63, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_9475])

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9338, nGC_9339])

      allocate(vertices(1346)%branchR2(0:0))
      call avR2(1346, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1257)%branchR2(0:0))
      call avR2(1257, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9357, nGC_9357])

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9352, nGC_9352])

      allocate(vertices(708)%branchR2(0:0))
      call avR2(708, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1648)%branchR2(0:1))
      call avR2(1648, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      call avR2(1648, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      allocate(vertices(1254)%branchR2(0:0))
      call avR2(1254, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(1649)%branchR2(0:1))
      call avR2(1649, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      call avR2(1649, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      allocate(vertices(1260)%branchR2(0:0))
      call avR2(1260, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9354, nGC_9354])

      allocate(vertices(1650)%branchR2(0:1))
      call avR2(1650, 0, 64, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      call avR2(1650, 1, 63, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9403, nGC_9402])

      allocate(vertices(1074)%branchR2(0:0))
      call avR2(1074, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9338, nGC_9339])

      allocate(vertices(1651)%branchR2(0:1))
      call avR2(1651, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_9477])

      call avR2(1651, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_9476])

      allocate(vertices(1652)%branchR2(0:5))
      call avR2(1652, 0, 77, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9493, nGC_9493,   &
      nGC_9493])

      call avR2(1652, 1, 81, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9495, nGC_9495,   &
      nGC_9495])

      call avR2(1652, 2, 79, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9494, nGC_9494,   &
      nGC_9494])

      call avR2(1652, 3, 80, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9494, nGC_9494,   &
      nGC_9494])

      call avR2(1652, 4, 78, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9494, nGC_9494,   &
      nGC_9494])

      call avR2(1652, 5, 82, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9493, nGC_9493,   &
      nGC_9493])

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9328, nGC_9327])

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9374, nGC_9375])

      allocate(vertices(1653)%branchR2(0:1))
      call avR2(1653, 0, 53, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9483, nGC_9483,   &
      nGC_9483])

      call avR2(1653, 1, 54, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9482, nGC_9482,   &
      nGC_9482])

      allocate(vertices(1052)%branchR2(0:0))
      call avR2(1052, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9395, nGC_9394])

      allocate(vertices(1179)%branchR2(0:0))
      call avR2(1179, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1654)%branchR2(0:1))
      call avR2(1654, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1654, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(1026)%branchR2(0:0))
      call avR2(1026, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9361, nGC_9361])

      allocate(vertices(1655)%branchR2(0:1))
      call avR2(1655, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      call avR2(1655, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      allocate(vertices(1656)%branchR2(0:1))
      call avR2(1656, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      call avR2(1656, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      allocate(vertices(1431)%branchR2(0:0))
      call avR2(1431, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9411, nGC_9410])

      allocate(vertices(1657)%branchR2(0:1))
      call avR2(1657, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      call avR2(1657, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      allocate(vertices(350)%branchR2(0:0))
      call avR2(350, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9346, nGC_9347])

      allocate(vertices(1420)%branchR2(0:0))
      call avR2(1420, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9336, nGC_9337])

      allocate(vertices(1658)%branchR2(0:1))
      call avR2(1658, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_9470])

      call avR2(1658, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_9471])

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9332, nGC_9331])

      allocate(vertices(1659)%branchR2(0:1))
      call avR2(1659, 0, 64, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_9471])

      call avR2(1659, 1, 63, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_9470])

      allocate(vertices(1305)%branchR2(0:0))
      call avR2(1305, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(1660)%branchR2(0:1))
      call avR2(1660, 0, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      call avR2(1660, 1, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9403, nGC_9402])

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9377, nGC_9376])

      allocate(vertices(397)%branchR2(0:0))
      call avR2(397, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(34)%branchR2(0:0))
      call avR2(34, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(560)%branchR2(0:0))
      call avR2(560, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9407, nGC_9406])

      allocate(vertices(1123)%branchR2(0:0))
      call avR2(1123, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9338, nGC_9339])

      allocate(vertices(1661)%branchR2(0:1))
      call avR2(1661, 0, 57, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9491, nGC_9491,   &
      nGC_9491])

      call avR2(1661, 1, 58, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9492, nGC_9492,   &
      nGC_9492])

      allocate(vertices(1064)%branchR2(0:0))
      call avR2(1064, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(1384)%branchR2(0:0))
      call avR2(1384, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9405, nGC_9404])

      allocate(vertices(1338)%branchR2(0:0))
      call avR2(1338, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9377, nGC_9376])

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 19, 1, 0, FSFa0, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(1662)%branchR2(0:1))
      call avR2(1662, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9483, nGC_9483,   &
      nGC_9483])

      call avR2(1662, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9482, nGC_9482,   &
      nGC_9482])

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 20, 1, 0, SFaF2, 0, [2, 1, 0], [nGC_9354, nGC_9354])

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9361, nGC_9361])

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9393, nGC_9392])

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9395, nGC_9394])

      allocate(vertices(127)%branchR2(0:0))
      call avR2(127, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1113)%branchR2(0:0))
      call avR2(1113, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 10, 1, 0, FFaV0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9381, nGC_9380])

      allocate(vertices(516)%branchR2(0:0))
      call avR2(516, 0, 18, 1, 0, FaFV1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(1102)%branchR2(0:0))
      call avR2(1102, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9355, nGC_9356])

      allocate(vertices(1063)%branchR2(0:0))
      call avR2(1063, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9391, nGC_9390])

      allocate(vertices(1090)%branchR2(0:5))
      call avR2(1090, 0, 11, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9449, nGC_9449])

      call avR2(1090, 1, 11, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9464, nGC_9462])

      call avR2(1090, 2, 11, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9465, nGC_9463])

      call avR2(1090, 3, 12, 1, 0, FFaV0, 0, [3, 0, 0], [nGC_9444, nGC_9444])

      call avR2(1090, 4, 12, 1, 0, FFaV0, 0, [1, 2, 0], [nGC_9460, nGC_9458])

      call avR2(1090, 5, 12, 1, 0, FFaV0, 0, [1, 2, 2], [nGC_9461, nGC_9459])

      allocate(vertices(1663)%branchR2(0:1))
      call avR2(1663, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1663, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(1664)%branchR2(0:1))
      call avR2(1664, 0, 61, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      call avR2(1664, 1, 62, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 10, 1, 0, FFaV1, 0, [2, 1, 0], [nGC_9365])

      allocate(vertices(802)%branchR2(0:0))
      call avR2(802, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9413, nGC_9412])

      allocate(vertices(1131)%branchR2(0:0))
      call avR2(1131, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9342, nGC_9343])

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 19, 1, 0, FSFa2, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(1273)%branchR2(0:0))
      call avR2(1273, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9353, nGC_9353])

      allocate(vertices(498)%branchR2(0:0))
      call avR2(498, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9340, nGC_9341])

      allocate(vertices(1370)%branchR2(0:0))
      call avR2(1370, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9336, nGC_9337])

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 21, 1, 0, VFFa0, 0, [2, 1, 0], [nGC_9365])

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(1451)%branchR2(0:0))
      call avR2(1451, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9331, nGC_9332])

      allocate(vertices(1665)%branchR2(0:1))
      call avR2(1665, 0, 59, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_9477])

      call avR2(1665, 1, 60, 1, 0, VVSS0, 0, [2, 2, 0], [nGC_9476])

      allocate(vertices(1512)%branchR2(0:2))
      call avR2(1512, 0, 42, 1, 0, FaF0, 0, [0, 2, 0], [nGC_9300, nGC_9315,    &
      nGC_9317, nGC_9317])

      call avR2(1512, 1, 42, 1, 0, FaF0, 0, [2, 0, 0], [nGC_9287, nGC_9287,    &
      nGC_9318, nGC_9318])

      call avR2(1512, 2, 42, 1, 0, FaF0, 0, [0, 2, 2], [nGC_9319, nGC_9316,    &
      nGC_9314, nGC_9314])

      allocate(vertices(102)%branchR2(0:5))
      call avR2(102, 0, 37, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(102, 1, 37, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9417, nGC_9414])

      call avR2(102, 2, 37, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9418, nGC_9415])

      call avR2(102, 3, 36, 1, 0, FVFa0, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(102, 4, 36, 1, 0, FVFa0, 0, [1, 2, 0], [nGC_9422, nGC_9419])

      call avR2(102, 5, 36, 1, 0, FVFa0, 0, [1, 2, 2], [nGC_9423, nGC_9420])

      allocate(vertices(1666)%branchR2(0:1))
      call avR2(1666, 0, 56, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9492, nGC_9492,   &
      nGC_9492])

      call avR2(1666, 1, 55, 1, 0, VVVV0, 0, [2, 2, 2], [nGC_9491, nGC_9491,   &
      nGC_9491])

      allocate(vertices(1220)%branchR2(0:0))
      call avR2(1220, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(1667)%branchR2(0:1))
      call avR2(1667, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      call avR2(1667, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9352, nGC_9352])

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9391, nGC_9390])

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 20, 1, 0, VFaF1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 20, 1, 0, SFaF1, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 17, 1, 0, FaVF0, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9407, nGC_9406])

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9331, nGC_9332])

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9407, nGC_9406])

      allocate(vertices(1668)%branchR2(0:1))
      call avR2(1668, 0, 64, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_9476])

      call avR2(1668, 1, 63, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_9477])

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(1669)%branchR2(0:1))
      call avR2(1669, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9486, nGC_9486,   &
      nGC_9486])

      call avR2(1669, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9487, nGC_9487,   &
      nGC_9487])

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9355, nGC_9356])

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 19, 1, 0, FVFa1, 0, [2, 1, 0], [nGC_9364])

      allocate(vertices(1423)%branchR2(0:0))
      call avR2(1423, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9377, nGC_9376])

      allocate(vertices(1670)%branchR2(0:5))
      call avR2(1670, 0, 70, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9493, nGC_9493,   &
      nGC_9493])

      call avR2(1670, 1, 67, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9494, nGC_9494,   &
      nGC_9494])

      call avR2(1670, 2, 66, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9494, nGC_9494,   &
      nGC_9494])

      call avR2(1670, 3, 69, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9494, nGC_9494,   &
      nGC_9494])

      call avR2(1670, 4, 68, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9495, nGC_9495,   &
      nGC_9495])

      call avR2(1670, 5, 65, 1, 0, VVVV0, 0, [3, 1, 0], [nGC_9493, nGC_9493,   &
      nGC_9493])

      allocate(vertices(305)%branchR2(0:0))
      call avR2(305, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9379, nGC_9378])

      allocate(vertices(677)%branchR2(0:0))
      call avR2(677, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1366)%branchR2(0:0))
      call avR2(1366, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 18, 1, 0, FaFS1, 0, [2, 1, 0], [nGC_9334, nGC_9333])

      allocate(vertices(181)%branchR2(0:0))
      call avR2(181, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9413, nGC_9412])

      allocate(vertices(141)%branchR2(0:0))
      call avR2(141, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9348, nGC_9349])

      allocate(vertices(756)%branchR2(0:0))
      call avR2(756, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1276)%branchR2(0:0))
      call avR2(1276, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9346, nGC_9347])

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_9385, nGC_9384])

      allocate(vertices(1126)%branchR2(0:0))
      call avR2(1126, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9333, nGC_9334])

      allocate(vertices(1263)%branchR2(0:0))
      call avR2(1263, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9391, nGC_9390])

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 18, 1, 0, FaFV0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 18, 1, 0, FaFV0, 0, [2, 1, 1], [nGC_9399, nGC_9398])

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 21, 1, 0, VFFa1, 0, [2, 1, 0], [nGC_9326, nGC_9326])

      allocate(vertices(1671)%branchR2(0:1))
      call avR2(1671, 0, 53, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      call avR2(1671, 1, 54, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9401, nGC_9400])

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9401, nGC_9400])

      allocate(vertices(1672)%branchR2(0:1))
      call avR2(1672, 0, 56, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      call avR2(1672, 1, 55, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9338, nGC_9339])

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_9363])

      allocate(vertices(1673)%branchR2(0:1))
      call avR2(1673, 0, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9469, nGC_9469,   &
      nGC_9469])

      call avR2(1673, 1, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9468, nGC_9468,   &
      nGC_9468])

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 10, 1, 0, FFaS2, 0, [2, 1, 0], [nGC_9335])

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9397, nGC_9396])

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 19, 1, 0, FVFa0, 0, [2, 1, 0], [nGC_9387, nGC_9386])

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 10, 1, 0, FFaV0, 0, [2, 1, 1], [nGC_9403, nGC_9402])

      allocate(vertices(1674)%branchR2(0:1))
      call avR2(1674, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1674, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(1675)%branchR2(0:1))
      call avR2(1675, 0, 59, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9481, nGC_9481,   &
      nGC_9481])

      call avR2(1675, 1, 60, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9480, nGC_9480,   &
      nGC_9480])

      allocate(vertices(434)%branchR2(0:0))
      call avR2(434, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9350, nGC_9351])

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 21, 1, 0, VFFa1, 0, [2, 1, 1], [nGC_9372, nGC_9373])

      allocate(vertices(491)%branchR2(0:5))
      call avR2(491, 0, 40, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9421, nGC_9421])

      call avR2(491, 1, 40, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9422, nGC_9419])

      call avR2(491, 2, 40, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9423, nGC_9420])

      call avR2(491, 3, 41, 1, 0, VFFa1, 0, [3, 0, 0], [nGC_9416, nGC_9416])

      call avR2(491, 4, 41, 1, 0, VFFa1, 0, [1, 2, 0], [nGC_9417, nGC_9414])

      call avR2(491, 5, 41, 1, 0, VFFa1, 0, [1, 2, 2], [nGC_9418, nGC_9415])

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 20, 1, 0, VFaF0, 0, [2, 1, 0], [nGC_9330, nGC_9330])

      allocate(vertices(1519)%branchR2(0:2))
      call avR2(1519, 0, 14, 1, 0, FFa0, 0, [0, 2, 0], [nGC_9300, nGC_9315,    &
      nGC_9317, nGC_9317])

      call avR2(1519, 1, 14, 1, 0, FFa0, 0, [2, 0, 0], [nGC_9287, nGC_9287,    &
      nGC_9318, nGC_9318])

      call avR2(1519, 2, 14, 1, 0, FFa0, 0, [0, 2, 2], [nGC_9319, nGC_9316,    &
      nGC_9314, nGC_9314])

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 20, 1, 0, VFaF0, 0, [2, 1, 1], [nGC_9407, nGC_9406])

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 17, 1, 0, FaVF0, 0, [2, 1, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1676)%branchR2(0:1))
      call avR2(1676, 0, 64, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9484, nGC_9484,   &
      nGC_9484])

      call avR2(1676, 1, 63, 1, 0, VVVV0, 0, [2, 2, 0], [nGC_9485, nGC_9485,   &
      nGC_9485])

      allocate(vertices(1677)%branchR2(0:1))
      call avR2(1677, 0, 64, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_9471])

      call avR2(1677, 1, 63, 1, 0, VSVS0, 0, [2, 2, 0], [nGC_9470])

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 10, 1, 0, FFaS0, 0, [2, 1, 0], [nGC_9342, nGC_9343])

      allocate(vertices(1678)%branchR2(0:1))
      call avR2(1678, 0, 53, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_9470])

      call avR2(1678, 1, 54, 1, 0, SSVV0, 0, [2, 2, 0], [nGC_9471])

      allocate(vertices(1222)%branchR2(0:0))
      call avR2(1222, 0, 19, 1, 0, FVFa0, 0, [2, 1, 1], [nGC_9389, nGC_9388])

      allocate(vertices(1679)%branchR2(0:1))
      call avR2(1679, 0, 45, 1, 0, VVV1, 0, [2, 1, 1], [nGC_9408, nGC_9408, 0])

      call avR2(1679, 1, 46, 1, 0, VVV1, 0, [2, 1, 1], [nGC_9409, nGC_9409, 0])

      allocate(vertices(1680)%branchR2(0:1))
      call avR2(1680, 0, 56, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9482, nGC_9482,   &
      nGC_9482])

      call avR2(1680, 1, 55, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9483, nGC_9483,   &
      nGC_9483])

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 21, 1, 0, SFFa2, 0, [2, 1, 0], [nGC_9336, nGC_9337])

      allocate(vertices(1681)%branchR2(0:1))
      call avR2(1681, 0, 57, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9472, nGC_9472,   &
      nGC_9472])

      call avR2(1681, 1, 58, 1, 0, VVVV0, 0, [2, 2, 1], [nGC_9473, nGC_9473,   &
      nGC_9473])

      allocate(vertices(913)%branchR2(0:0))
      call avR2(913, 0, 17, 1, 0, FaVF1, 0, [2, 1, 0], [nGC_9362])

      allocate(vertices(1283)%branchR2(0:0))
      call avR2(1283, 0, 19, 1, 0, FSFa1, 0, [2, 1, 0], [nGC_9354, nGC_9354])

      allocate(vertices(1317)%branchR2(0:0))
      call avR2(1317, 0, 17, 1, 0, FaSF0, 0, [2, 1, 0], [nGC_9354, nGC_9354])

    end subroutine fill_vertices_mdl5
end module vertices_info5
