!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-14 17:03             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_9348) = coupl(nGC_11)**2d0*coupl(nGC_305)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9438) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_110)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_137)*  &
                        coupl(nGC_1693) + coupl(nGC_138)**2d0 + coupl(nGC_139)*&
                        coupl(nGC_141) + coupl(nGC_140)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9439) = coupl(nGC_11)*sq2*(coupl(nGC_26)**2d0 + coupl(nGC_27)**&
                        2d0 + coupl(nGC_77)**2d0 + coupl(nGC_80)**2d0 + coupl( &
                        nGC_83)**2d0 + coupl(nGC_95)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9434) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_110)**2d0 - coupl(nGC_136)**2d0 - coupl(nGC_137)*  &
                        coupl(nGC_1693) - coupl(nGC_138)**2d0 - coupl(nGC_139)*&
                        coupl(nGC_141) - coupl(nGC_140)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9435) = coupl(nGC_11)*sq2*(-coupl(nGC_26)**2d0 - coupl(nGC_27  &
                        )**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_80)**2d0 -     &
                        coupl(nGC_83)**2d0 - coupl(nGC_95)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_9436) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_108)**2d0 + 4d0*coupl(nGC_114)**2d0 + coupl(nGC_135&
                        )**2d0 + coupl(nGC_137)*coupl(nGC_1693) + coupl(nGC_138&
                        )**2d0 + coupl(nGC_151)*coupl(nGC_153) + coupl(nGC_152 &
                        )**2d0 + coupl(nGC_162)**2d0 + 4d0*coupl(nGC_43)**2d0  &
                        )/(64d0*pi**2d0)
      coupl(nGC_9437) = coupl(nGC_11)*sq2*(coupl(nGC_17)**2d0 + coupl(nGC_18)**&
                        2d0 + coupl(nGC_59)**2d0 + coupl(nGC_62)**2d0 + coupl( &
                        nGC_65)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9346) = coupl(nGC_11)**2d0*coupl(nGC_855)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9431) = coupl(nGC_11)*sq2*(coupl(nGC_102)**2d0 + coupl(nGC_32  &
                        )**2d0 + coupl(nGC_34)**2d0 + coupl(nGC_80)**2d0 +     &
                        coupl(nGC_81)**2d0 + coupl(nGC_82)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9432) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_108)**2d0 - 4d0*coupl(nGC_114)**2d0 - coupl(nGC_135&
                        )**2d0 - coupl(nGC_137)*coupl(nGC_1693) - coupl(nGC_138&
                        )**2d0 - coupl(nGC_151)*coupl(nGC_153) - coupl(nGC_152 &
                        )**2d0 - coupl(nGC_162)**2d0 - 4d0*coupl(nGC_43)**2d0  &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_9433) = coupl(nGC_11)*sq2*(-coupl(nGC_17)**2d0 - coupl(nGC_18  &
                        )**2d0 - coupl(nGC_59)**2d0 - coupl(nGC_62)**2d0 -     &
                        coupl(nGC_65)**2d0 - coupl(nGC_86)**2d0)/(16d0*pi**2d0*&
                        Nc)
      coupl(nGC_13441) = -coupl(nGC_12954)
      coupl(nGC_12538) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZtauMinusR + &
                         coupl(nGC_9923)
      coupl(nGC_12926) = coupl(nGC_154)*dZbL_QCD2/2d0 + coupl(nGC_154)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9607)
      coupl(nGC_11996) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_12101) = coupl(nGC_12004) + coupl(nGC_12099)
      coupl(nGC_11999) = coupl(nGC_11996) + coupl(nGC_9927)
      coupl(nGC_11998) = coupl(nGC_MI)*dZeMinusR
      coupl(nGC_12044) = coupl(nGC_62)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_12046) = coupl(nGC_80)*dZWpMinus/2d0 + coupl(nGC_9730)
      coupl(nGC_12124) = coupl(nGC_12120) + coupl(nGC_12122)
      coupl(nGC_9728) = coupl(nGC_9727)*dsw_
      coupl(nGC_12161) = coupl(nGC_46)*dZA/2d0 + coupl(nGC_46)*dZWMinus/2d0 +  &
                         coupl(nGC_9667)
      coupl(nGC_15212) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_9338) = coupl(nGC_11)**2d0*coupl(nGC_291)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9720) = coupl(nGC_9719)*dsw_
      coupl(nGC_9336) = coupl(nGC_11)**2d0*coupl(nGC_877)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12503) = -coupl(nGC_12499) - coupl(nGC_9651)
      coupl(nGC_12222) = coupl(nGC_90)*dZZp/2d0 + coupl(nGC_90)*dZmuMinusL +   &
                         coupl(nGC_9843)
      coupl(nGC_9430) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_111)**2d0 + coupl(    &
                        nGC_132)**2d0 + coupl(nGC_133)*coupl(nGC_291) + coupl( &
                        nGC_134)**2d0 + coupl(nGC_135)**2d0 + 4d0*coupl(nGC_2  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_13104) = coupl(nGC_12004) + coupl(nGC_13102)
      coupl(nGC_13340) = coupl(nGC_12120) + coupl(nGC_13336)
      coupl(nGC_12113) = coupl(nGC_86)*dZZp/2d0 + coupl(nGC_9792)
      coupl(nGC_9419) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_114)**2d0 + coupl(nGC_130)*coupl(nGC_877) + coupl( &
                        nGC_131)**2d0 + coupl(nGC_154)**2d0 + 4d0*coupl(nGC_42 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_15214) = coupl(nGC_15212) + coupl(nGC_9929)
      coupl(nGC_15114) = coupl(nGC_15111) + coupl(nGC_9933)
      coupl(nGC_13103) = coupl(nGC_12004) + coupl(nGC_13101)
      coupl(nGC_12323) = coupl(nGC_52)*dZWpMinus/2d0 + coupl(nGC_52)*dZnu_eL/  &
                         2d0 + coupl(nGC_52)*dZtauMinusL/2d0 + coupl(nGC_9760)
      coupl(nGC_13637) = coupl(nGC_12120) + coupl(nGC_13633)
      coupl(nGC_13420) = coupl(nGC_25)*dZZp/2d0 + coupl(nGC_9885)
      coupl(nGC_12466) = coupl(nGC_12004) + coupl(nGC_12464)
      coupl(nGC_12465) = coupl(nGC_12004) + coupl(nGC_12463)
      coupl(nGC_12584) = coupl(nGC_60)*dZWpMinus/2d0 + coupl(nGC_9720)
      coupl(nGC_13117) = coupl(nGC_97)*dZZp/2d0 + coupl(nGC_9822)
      coupl(nGC_12772) = -coupl(nGC_12771)
      coupl(nGC_13299) = coupl(nGC_147)*dZH/2d0 + coupl(nGC_9625)
      coupl(nGC_12268) = coupl(nGC_45)*dZZ/2d0 + coupl(nGC_9544)
      coupl(nGC_12100) = coupl(nGC_12004) + coupl(nGC_12098)
      coupl(nGC_12198) = coupl(nGC_122)*dZH + coupl(nGC_122)*dZZ + coupl(      &
                         nGC_9701)
      coupl(nGC_26668) = -coupl(nGC_9408)/2d0
      coupl(nGC_12516) = coupl(nGC_66)*dZWpMinus/2d0 + coupl(nGC_9746)
      coupl(nGC_12515) = coupl(nGC_84)*dZWpMinus/2d0 + coupl(nGC_9744)
      coupl(nGC_13188) = coupl(nGC_13185) + coupl(nGC_9928)
      coupl(nGC_26667) = -coupl(nGC_9408)
      coupl(nGC_26665) = -coupl(nGC_9409)/2d0
      coupl(nGC_12571) = coupl(nGC_44)*dZZ/2d0 + coupl(nGC_9551)
      coupl(nGC_13368) = -coupl(nGC_13364)
      coupl(nGC_12574) = coupl(nGC_45)*dZWMinus/2d0 + coupl(nGC_9544)
      coupl(nGC_12767) = coupl(nGC_73)*dZWpMinus/2d0 + coupl(nGC_73)*dZnu_muR/ &
                         2d0 + coupl(nGC_73)*dZtauMinusR/2d0 + coupl(nGC_9774)
      coupl(nGC_12577) = coupl(nGC_122)*dZZ + coupl(nGC_9701)
      coupl(nGC_12768) = coupl(nGC_55)*dZWpMinus/2d0 + coupl(nGC_55)*dZnu_muL/ &
                         2d0 + coupl(nGC_55)*dZtauMinusL/2d0 + coupl(nGC_9772)
      coupl(nGC_13470) = coupl(nGC_89)*dZZp/2d0 + coupl(nGC_89)*dZeMinusL +    &
                         coupl(nGC_9828)
      coupl(nGC_13471) = coupl(nGC_98)*dZZp/2d0 + coupl(nGC_98)*dZeMinusR +    &
                         coupl(nGC_9825)
      coupl(nGC_9476) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_130)*coupl&
                        (nGC_877) - coupl(nGC_133)*coupl(nGC_291) - coupl(     &
                        nGC_137)*coupl(nGC_1693) - coupl(nGC_139)*coupl(nGC_141&
                        ) - coupl(nGC_149)*coupl(nGC_305) - coupl(nGC_151)*    &
                        coupl(nGC_153) - coupl(nGC_156)*coupl(nGC_351) - coupl(&
                        nGC_161)*coupl(nGC_855))/(16d0*pi**2d0)
      coupl(nGC_9477) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_130)*coupl(&
                        nGC_877) + coupl(nGC_133)*coupl(nGC_291) + coupl(      &
                        nGC_137)*coupl(nGC_1693) + coupl(nGC_139)*coupl(nGC_141&
                        ) + coupl(nGC_149)*coupl(nGC_305) + coupl(nGC_151)*    &
                        coupl(nGC_153) + coupl(nGC_156)*coupl(nGC_351) + coupl(&
                        nGC_161)*coupl(nGC_855))/(16d0*pi**2d0*Nc)
      coupl(nGC_12875) = coupl(nGC_65)*dZWpMinus/2d0 + coupl(nGC_9742)
      coupl(nGC_12876) = coupl(nGC_83)*dZWpMinus/2d0 + coupl(nGC_9740)
      coupl(nGC_13870) = coupl(nGC_12004) + coupl(nGC_13867)
      coupl(nGC_12504) = coupl(nGC_12499) + coupl(nGC_9651)
      coupl(nGC_16121) = -coupl(nGC_16117)
      coupl(nGC_13618) = coupl(nGC_13616) + coupl(nGC_9931)
      coupl(nGC_12083) = coupl(nGC_111)*dZZ/2d0 + coupl(nGC_9911)
      coupl(nGC_12084) = coupl(nGC_115)*dZZ/2d0 + coupl(nGC_9908)
      coupl(nGC_13178) = coupl(nGC_64)*dZWpMinus/2d0 + coupl(nGC_9738)
      coupl(nGC_13177) = coupl(nGC_82)*dZWpMinus/2d0 + coupl(nGC_9736)
      coupl(nGC_13279) = coupl(nGC_53)*dZWpMinus/2d0 + coupl(nGC_53)*dZeMinusL/&
                         2d0 + coupl(nGC_53)*dZnu_muL/2d0 + coupl(nGC_9766)
      coupl(nGC_12241) = coupl(nGC_40)*dZH/2d0 + coupl(nGC_40)*dZWMinus/2d0 +  &
                         coupl(nGC_9665)
      coupl(nGC_13869) = coupl(nGC_12004) + coupl(nGC_13868)
      coupl(nGC_13973) = coupl(nGC_13971) + coupl(nGC_9605)
      coupl(nGC_12047) = coupl(nGC_62)*dZWpMinus/2d0 + coupl(nGC_9728)
      coupl(nGC_12644) = coupl(nGC_132)*dZH/2d0 + coupl(nGC_9647)
      coupl(nGC_13663) = coupl(nGC_45)*dZWMinus + coupl(nGC_45)*dZZ/2d0 + coupl&
                         (nGC_9544)
      coupl(nGC_13664) = -coupl(nGC_13663)
      coupl(nGC_13300) = coupl(nGC_13298) + coupl(nGC_13299)
      coupl(nGC_13140) = coupl(nGC_139)*dZdR_QCD2/2d0 + coupl(nGC_139)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9582)
      coupl(nGC_13392) = -coupl(nGC_13388)
      coupl(nGC_13408) = coupl(nGC_144)*dZH/2d0 + coupl(nGC_9620)
      coupl(nGC_12221) = coupl(nGC_9846) + coupl(nGC_99)*dZZp/2d0 + coupl(     &
                         nGC_99)*dZmuMinusR
      coupl(nGC_12028) = coupl(nGC_12026) + coupl(nGC_9623)
      coupl(nGC_12382) = -coupl(nGC_12381)
      coupl(nGC_12228) = coupl(nGC_22)*dZZp/2d0 + coupl(nGC_22)*dZmuMinusL/2d0 &
                          + coupl(nGC_22)*dZtauMinusL/2d0 + coupl(nGC_9849)
      coupl(nGC_12023) = coupl(nGC_94)*dZZp/2d0 + coupl(nGC_9891)
      coupl(nGC_12322) = coupl(nGC_70)*dZWpMinus/2d0 + coupl(nGC_70)*dZnu_eR/  &
                         2d0 + coupl(nGC_70)*dZtauMinusR/2d0 + coupl(nGC_9762)
      coupl(nGC_14840) = coupl(nGC_14838) + coupl(nGC_9934)
      coupl(nGC_13065) = -coupl(nGC_12259)/2d0
      coupl(nGC_12193) = coupl(nGC_44)*dZWMinus/2d0 + coupl(nGC_9551)
      coupl(nGC_12336) = coupl(nGC_26)*dZZp/2d0 + coupl(nGC_9795)
      coupl(nGC_12335) = coupl(nGC_17)*dZZp/2d0 + coupl(nGC_9798)
      coupl(nGC_13534) = coupl(nGC_23)*dZZp/2d0 + coupl(nGC_9867)
      coupl(nGC_12838) = coupl(nGC_12835) + coupl(nGC_9612)
      coupl(nGC_22183) = -coupl(nGC_12571)
      coupl(nGC_18208) = -coupl(nGC_9500)
      coupl(nGC_12422) = coupl(nGC_127)*dZA/2d0 + coupl(nGC_127)*dZWMinus/2d0  &
                          + coupl(nGC_9661)
      coupl(nGC_22109) = -coupl(nGC_12193)
      coupl(nGC_21933) = -coupl(nGC_12574)
      coupl(nGC_14027) = -coupl(nGC_14021)
      coupl(nGC_12206) = coupl(nGC_101)*dZZp/2d0 + coupl(nGC_9861)
      coupl(nGC_12205) = coupl(nGC_92)*dZZp/2d0 + coupl(nGC_9864)
      coupl(nGC_13331) = -coupl(nGC_13329) - coupl(nGC_9636)
      coupl(nGC_13332) = coupl(nGC_13329) + coupl(nGC_9636)
      coupl(nGC_13339) = coupl(nGC_12120) + coupl(nGC_13338)
      coupl(nGC_25554) = -coupl(nGC_12268)
      coupl(nGC_12430) = coupl(nGC_67)*dZWpMinus/2d0 + coupl(nGC_9748)
      coupl(nGC_13409) = coupl(nGC_13405) + coupl(nGC_13408)
      coupl(nGC_12353) = -coupl(nGC_12241)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
